--==========================================================================================================================
-- ART DEFINES
--==========================================================================================================================	
-- ArtDefine_StrategicView
--------------------------------------------------------------------------------------------------------------------------
INSERT INTO ArtDefine_StrategicView 
		(StrategicViewType, 				TileType,	Asset)
VALUES	('ART_DEF_UNIT_JAR_SAQALIBA',		'Unit', 	'Jar_UnitSaqaliba128.dds');
--------------------------------------------------------------------------------------------------------------------------
-- ArtDefine_UnitInfos
--------------------------------------------------------------------------------------------------------------------------			
INSERT INTO ArtDefine_UnitInfos 
		(Type, 								DamageStates,	Formation)
SELECT	'ART_DEF_UNIT_JAR_SAQALIBA',		DamageStates, 	Formation
FROM ArtDefine_UnitInfos WHERE Type = 'ART_DEF_UNIT_LONGSWORDSMAN';
--------------------------------------------------------------------------------------------------------------------------
-- ArtDefine_UnitInfoMemberInfos
--------------------------------------------------------------------------------------------------------------------------
INSERT INTO ArtDefine_UnitInfoMemberInfos
		(UnitInfoType,					UnitMemberInfoType,					NumMembers)
SELECT	'ART_DEF_UNIT_JAR_SAQALIBA', 	'ART_DEF_UNIT_MEMBER_JAR_SAQALIBA', NumMembers
FROM ArtDefine_UnitInfoMemberInfos WHERE (UnitInfoType = 'ART_DEF_UNIT_LONGSWORDSMAN');
--------------------------------------------------------------------------------------------------------------------------
-- ArtDefine_UnitMemberCombats
--------------------------------------------------------------------------------------------------------------------------
INSERT INTO ArtDefine_UnitMemberCombats
		(UnitMemberType, 						EnableActions, DisableActions, MoveRadius, ShortMoveRadius, ChargeRadius, AttackRadius, RangedAttackRadius, MoveRate, ShortMoveRate, TurnRateMin, TurnRateMax, TurnFacingRateMin, TurnFacingRateMax, RollRateMin, RollRateMax, PitchRateMin, PitchRateMax, LOSRadiusScale, TargetRadius, TargetHeight, HasShortRangedAttack, HasLongRangedAttack, HasLeftRightAttack, HasStationaryMelee, HasStationaryRangedAttack, HasRefaceAfterCombat, ReformBeforeCombat, HasIndependentWeaponFacing, HasOpponentTracking, HasCollisionAttack, AttackAltitude, AltitudeDecelerationDistance, OnlyTurnInMovementActions, RushAttackFormation)
SELECT	('ART_DEF_UNIT_MEMBER_JAR_SAQALIBA'), 	EnableActions, DisableActions, MoveRadius, ShortMoveRadius, ChargeRadius, AttackRadius, RangedAttackRadius, MoveRate, ShortMoveRate, TurnRateMin, TurnRateMax, TurnFacingRateMin, TurnFacingRateMax, RollRateMin, RollRateMax, PitchRateMin, PitchRateMax, LOSRadiusScale, TargetRadius, TargetHeight, HasShortRangedAttack, HasLongRangedAttack, HasLeftRightAttack, HasStationaryMelee, HasStationaryRangedAttack, HasRefaceAfterCombat, ReformBeforeCombat, HasIndependentWeaponFacing, HasOpponentTracking, HasCollisionAttack, AttackAltitude, AltitudeDecelerationDistance, OnlyTurnInMovementActions, RushAttackFormation
FROM ArtDefine_UnitMemberCombats WHERE (UnitMemberType = 'ART_DEF_UNIT_MEMBER_SWORDSMAN');
--------------------------------------------------------------------------------------------------------------------------
-- ArtDefine_UnitMemberCombatWeapons
--------------------------------------------------------------------------------------------------------------------------
INSERT INTO ArtDefine_UnitMemberCombatWeapons
		(UnitMemberType, 						"Index", SubIndex, ID, VisKillStrengthMin, VisKillStrengthMax, ProjectileSpeed, ProjectileTurnRateMin, ProjectileTurnRateMax, HitEffect, HitEffectScale, HitRadius, ProjectileChildEffectScale, AreaDamageDelay, ContinuousFire, WaitForEffectCompletion, TargetGround, IsDropped, WeaponTypeTag, WeaponTypeSoundOverrideTag)
SELECT ('ART_DEF_UNIT_MEMBER_JAR_SAQALIBA'), 	"Index", SubIndex, ID, VisKillStrengthMin, VisKillStrengthMax, ProjectileSpeed, ProjectileTurnRateMin, ProjectileTurnRateMax, HitEffect, HitEffectScale, HitRadius, ProjectileChildEffectScale, AreaDamageDelay, ContinuousFire, WaitForEffectCompletion, TargetGround, IsDropped, WeaponTypeTag, WeaponTypeSoundOverrideTag
FROM ArtDefine_UnitMemberCombatWeapons WHERE (UnitMemberType = 'ART_DEF_UNIT_MEMBER_SWORDSMAN');
--------------------------------------------------------------------------------------------------------------------------
-- ArtDefine_UnitMemberInfos
--------------------------------------------------------------------------------------------------------------------------
INSERT INTO ArtDefine_UnitMemberInfos
		(Type, 									Scale, ZOffset, Domain, Model, 							MaterialTypeTag, MaterialTypeSoundOverrideTag)
SELECT	('ART_DEF_UNIT_MEMBER_JAR_SAQALIBA'), 	Scale, ZOffset, Domain, ('Swordsman_Arabia_v3.fxsxml'), MaterialTypeTag, MaterialTypeSoundOverrideTag
FROM ArtDefine_UnitMemberInfos WHERE (Type = 'ART_DEF_UNIT_MEMBER_SWORDSMAN');
--==========================================================================================================================
-- AUDIO
--==========================================================================================================================	
-- Audio_Sounds
--------------------------------------------------------------------------------------------------------------------------	
INSERT INTO Audio_Sounds 
		(SoundID, 								Filename, 				LoadType)
VALUES	('SND_LEADER_MUSIC_JAR_YUSUF_PEACE',	'Kalbids_Peace',	'DynamicResident'),
		('SND_LEADER_MUSIC_JAR_YUSUF_WAR', 		'Kalbids_War', 		'DynamicResident');		
--------------------------------------------------------------------------------------------------------------------------
-- Audio_2DSounds
--------------------------------------------------------------------------------------------------------------------------	
INSERT INTO Audio_2DSounds 
		(ScriptID, 								SoundID, 							SoundType, 		TaperSoundtrackVolume,	MinVolume, 	MaxVolume,  IsMusic, Looping)
VALUES	('AS2D_LEADER_MUSIC_JAR_YUSUF_PEACE',	'SND_LEADER_MUSIC_JAR_YUSUF_PEACE', 'GAME_MUSIC', 	-1.0,					50, 		50, 		1, 		 0),
		('AS2D_LEADER_MUSIC_JAR_YUSUF_WAR', 	'SND_LEADER_MUSIC_JAR_YUSUF_WAR', 	'GAME_MUSIC', 	-1.0,					50, 		50, 		1,		 0);
--==========================================================================================================================
-- COLOURS
--==========================================================================================================================	
-- Colors
--------------------------------------------------------------------------------------------------------------------------		
INSERT INTO Colors 
		(Type, 									Red, 	Green, 	Blue, 	Alpha)
VALUES	('COLOR_PLAYER_JAR_KALBIDS_ICON', 		0,		0.494,	0.486,	1), -- R: 0 G: 126 B: 124
		('COLOR_PLAYER_JAR_KALBIDS_BACKGROUND',	0.941,	0.871,	0.706,	1); -- R: 240 G: 222 B: 180
--------------------------------------------------------------------------------------------------------------------------
-- PlayerColors
--------------------------------------------------------------------------------------------------------------------------			
INSERT INTO PlayerColors 
		(Type, 							PrimaryColor, 						SecondaryColor, 						TextColor)
VALUES	('PLAYERCOLOR_JAR_KALBIDS',	 	'COLOR_PLAYER_JAR_KALBIDS_ICON', 	'COLOR_PLAYER_JAR_KALBIDS_BACKGROUND', 'COLOR_PLAYER_WHITE_TEXT');
--==========================================================================================================================
-- ICON ATLASES
--==========================================================================================================================	
-- IconTextureAtlases
--------------------------------------------------------------------------------------------------------------------------
INSERT INTO IconTextureAtlases 
		(Atlas, 							IconSize, 	Filename, 							IconsPerRow, 	IconsPerColumn)
VALUES	('JAR_KALBIDS_ALPHA_ATLAS', 		128, 		'icon_alpha_kalbids128.dds',		1,				1),
		('JAR_KALBIDS_ALPHA_ATLAS', 		80, 		'icon_alpha_kalbids80.dds',			1, 				1),
		('JAR_KALBIDS_ALPHA_ATLAS', 		64, 		'icon_alpha_kalbids64.dds',			1, 				1),
		('JAR_KALBIDS_ALPHA_ATLAS', 		48, 		'icon_alpha_kalbids48.dds',			1, 				1),
		('JAR_KALBIDS_ALPHA_ATLAS', 		45, 		'icon_alpha_kalbids45.dds',			1, 				1),
		('JAR_KALBIDS_ALPHA_ATLAS', 		32, 		'icon_alpha_kalbids32.dds',			1, 				1),
		('JAR_KALBIDS_ALPHA_ATLAS', 		24, 		'icon_alpha_kalbids24.dds',			1, 				1),
		('JAR_KALBIDS_ALPHA_ATLAS', 		16, 		'icon_alpha_kalbids16.dds',			1, 				1),
		('JAR_KALBIDS_ICON_ATLAS', 			256, 		'icon_atlas_kalbids256.dds',		4, 				3),
		('JAR_KALBIDS_ICON_ATLAS', 			128, 		'icon_atlas_kalbids128.dds',		4, 				3),
		('JAR_KALBIDS_ICON_ATLAS', 			80, 		'icon_atlas_kalbids80.dds',			4, 				3),
		('JAR_KALBIDS_ICON_ATLAS', 			64, 		'icon_atlas_kalbids64.dds',			4, 				3),
		('JAR_KALBIDS_ICON_ATLAS', 			45, 		'icon_atlas_kalbids45.dds',			4, 				3),
		('JAR_KALBIDS_ICON_ATLAS', 			32, 		'icon_atlas_kalbids32.dds',			4, 				3),
		('JAR_UNIT_FLAG_SAQALIBA',			32, 		'Jar_UnitSaqaliba32.dds',			1, 				1);
		
INSERT INTO IconTextureAtlases
		(Atlas, 				IconSize, 	Filename, 				IconsPerRow, IconsPerColumn)
VALUES	('promoKalbids_atlas', 	256, 		'kalbids_PI_256.dds', 	2, 				1),
		('promoKalbids_atlas', 	064, 		'kalbids_PI_064.dds', 	2, 				1),
		('promoKalbids_atlas', 	045, 		'kalbids_PI_045.dds', 	2, 				1),
		('promoKalbids_atlas', 	032, 		'kalbids_PI_032.dds', 	2, 				1),
		('promoKalbids_atlas', 	016, 		'kalbids_PI_016.dds', 	2, 				1);
--==========================================================================================================================
-- ARTDEFINES
--==========================================================================================================================	
------------------------------	
-- ArtDefine_StrategicView
------------------------------		
INSERT INTO ArtDefine_StrategicView
		(StrategicViewType, 				TileType, 		Asset)
VALUES 	('ART_DEF_RESOURCE_JAR_ORANGE', 	'Resource', 	'IconOrange_256sv.dds'),
		('ART_DEF_RESOURCE_JAR_PISTACHIO', 	'Resource', 	'IconPistachio_256sv.dds'),
		('ART_DEF_RESOURCE_JAR_PRICKLYPEAR', 	'Resource', 'IconPricklyPear_256sv.dds');
------------------------------	
-- ArtDefine_LandmarkTypes
------------------------------
INSERT INTO ArtDefine_LandmarkTypes
		(Type, 									LandmarkType, 	FriendlyName)
VALUES 	('ART_DEF_RESOURCE_JAR_ORANGE', 		'Resource', 'JAR_KALBIDS_ORANGE'),
		('ART_DEF_RESOURCE_JAR_PISTACHIO', 		'Resource', 'JAR_KALBIDS_PISTACHIO'),
		('ART_DEF_RESOURCE_JAR_PRICKLYPEAR', 	'Resource', 'JAR_KALBIDS_PRICKLY');
------------------------------
-- ArtDefine_Landmarks
------------------------------
INSERT INTO ArtDefine_Landmarks
		(ResourceType,						ImprovementType,					Model,								Era,			State,					Scale,	LayoutHandler,	TerrainContour)
SELECT  'ART_DEF_RESOURCE_JAR_ORANGE', 		'ART_DEF_IMPROVEMENT_NONE', 		'Resource_ORANGE.fxsxml', 			'Any', 			'Any', 					1, 		'SNAPSHOT', 1 UNION ALL
SELECT  'ART_DEF_RESOURCE_JAR_ORANGE', 		'ART_DEF_IMPROVEMENT_PLANTATION', 	'HB_PLANTATION_MID_ORANGE.fxsxml', 	'Ancient', 		'UnderConstruction', 	1, 		'SNAPSHOT', 1 UNION ALL
SELECT  'ART_DEF_RESOURCE_JAR_ORANGE', 		'ART_DEF_IMPROVEMENT_PLANTATION', 	'PLANTATION_MID_ORANGE.fxsxml', 	'Ancient', 		'Constructed', 			1, 		'SNAPSHOT', 1 UNION ALL
SELECT  'ART_DEF_RESOURCE_JAR_ORANGE', 		'ART_DEF_IMPROVEMENT_PLANTATION', 	'PL_PLANTATION_MID_ORANGE.fxsxml', 	'Ancient', 		'Pillaged', 			1, 		'SNAPSHOT', 1 UNION ALL
SELECT  'ART_DEF_RESOURCE_JAR_ORANGE', 		'ART_DEF_IMPROVEMENT_PLANTATION', 	'HB_PLANTATION_IND_ORANGE.fxsxml', 	'Industrial', 	'UnderConstruction', 	1, 		'SNAPSHOT', 1 UNION ALL
SELECT  'ART_DEF_RESOURCE_JAR_ORANGE', 		'ART_DEF_IMPROVEMENT_PLANTATION', 	'PLANTATION_IND_ORANGE.fxsxml', 	'Industrial', 	'Constructed', 			1, 		'SNAPSHOT', 1 UNION ALL
SELECT  'ART_DEF_RESOURCE_JAR_ORANGE', 		'ART_DEF_IMPROVEMENT_PLANTATION', 	'PL_PLANTATION_IND_ORANGE.fxsxml', 	'Industrial', 	'Pillaged', 			1, 		'SNAPSHOT', 1 UNION ALL
--
SELECT  'ART_DEF_RESOURCE_JAR_PISTACHIO', 	'ART_DEF_IMPROVEMENT_NONE', 		'Resource_CASHEW.fxsxml', 			'Any', 			'Any', 					1, 		'SNAPSHOT', 1 UNION ALL
SELECT  'ART_DEF_RESOURCE_JAR_PISTACHIO', 	'ART_DEF_IMPROVEMENT_PLANTATION', 	'HB_PLANTATION_MID_CASHEW.fxsxml',	'Ancient', 		'UnderConstruction', 	1, 		'SNAPSHOT', 1 UNION ALL
SELECT  'ART_DEF_RESOURCE_JAR_PISTACHIO', 	'ART_DEF_IMPROVEMENT_PLANTATION', 	'PLANTATION_MID_CASHEW.fxsxml', 	'Ancient', 		'Constructed', 			1, 		'SNAPSHOT', 1 UNION ALL
SELECT  'ART_DEF_RESOURCE_JAR_PISTACHIO', 	'ART_DEF_IMPROVEMENT_PLANTATION', 	'PL_PLANTATION_MID_CASHEW.fxsxml', 	'Ancient', 		'Pillaged', 			1, 		'SNAPSHOT', 1 UNION ALL
SELECT  'ART_DEF_RESOURCE_JAR_PISTACHIO', 	'ART_DEF_IMPROVEMENT_PLANTATION', 	'HB_PLANTATION_IND_CASHEW.fxsxml', 	'Industrial', 	'UnderConstruction', 	1, 		'SNAPSHOT', 1 UNION ALL
SELECT  'ART_DEF_RESOURCE_JAR_PISTACHIO', 	'ART_DEF_IMPROVEMENT_PLANTATION',	'PLANTATION_IND_CASHEW.fxsxml', 	'Industrial', 	'Constructed', 			1, 		'SNAPSHOT', 1 UNION ALL
SELECT  'ART_DEF_RESOURCE_JAR_PISTACHIO', 	'ART_DEF_IMPROVEMENT_PLANTATION', 	'PL_PLANTATION_IND_CASHEW.fxsxml', 	'Industrial', 	'Pillaged', 			1, 		'SNAPSHOT', 1 UNION ALL
--
SELECT  'ART_DEF_RESOURCE_JAR_PRICKLYPEAR', 'ART_DEF_IMPROVEMENT_NONE', 		'Resource_FIG.fxsxml', 				'Any', 			'Any', 					1, 		'SNAPSHOT', 1 UNION ALL
SELECT  'ART_DEF_RESOURCE_JAR_PRICKLYPEAR', 'ART_DEF_IMPROVEMENT_PLANTATION', 	'HB_PLANTATION_MID_FIG.fxsxml', 	'Ancient', 		'UnderConstruction', 	1, 		'SNAPSHOT', 1 UNION ALL
SELECT  'ART_DEF_RESOURCE_JAR_PRICKLYPEAR', 'ART_DEF_IMPROVEMENT_PLANTATION', 	'PLANTATION_MID_FIG.fxsxml', 		'Ancient', 		'Constructed', 			1, 		'SNAPSHOT', 1 UNION ALL
SELECT  'ART_DEF_RESOURCE_JAR_PRICKLYPEAR', 'ART_DEF_IMPROVEMENT_PLANTATION', 	'PL_PLANTATION_MID_FIG.fxsxml', 	'Ancient', 		'Pillaged', 			1, 		'SNAPSHOT', 1 UNION ALL
SELECT  'ART_DEF_RESOURCE_JAR_PRICKLYPEAR', 'ART_DEF_IMPROVEMENT_PLANTATION', 	'HB_PLANTATION_IND_FIG.fxsxml', 	'Industrial', 	'UnderConstruction', 	1, 		'SNAPSHOT', 1 UNION ALL
SELECT  'ART_DEF_RESOURCE_JAR_PRICKLYPEAR', 'ART_DEF_IMPROVEMENT_PLANTATION', 	'FIG/PLANTATION_IND_FIG.fxsxml', 	'Industrial', 	'Constructed', 			1, 		'SNAPSHOT', 1 UNION ALL
SELECT  'ART_DEF_RESOURCE_JAR_PRICKLYPEAR', 'ART_DEF_IMPROVEMENT_PLANTATION', 	'PL_PLANTATION_IND_FIG.fxsxml', 	'Industrial', 	'Pillaged', 			1, 		'SNAPSHOT', 1;
--==========================================================================================================================
-- FONT ICONS
--==========================================================================================================================
-- IconFontTextures
------------------------------------------------------------------------------------------------------------------------	
INSERT OR REPLACE INTO IconFontTextures 
		(IconFontTexture, 						IconFontTextureFile)
VALUES	('ICON_FONT_TEXTURE_UNCHECKBOX',		'FontIcons_UncheckBox_22'),
		('ICON_FONT_TEXTURE_JAR_ORANGE', 		'fonticon_kalbids'),
		('ICON_FONT_TEXTURE_JAR_PISTACHIO', 	'fonticon_kalbids'),
		('ICON_FONT_TEXTURE_JAR_PRICKLYPEAR',	'fonticon_kalbids');
------------------------------------------------------------------------------------------------------------------------
-- IconFontMapping
------------------------------------------------------------------------------------------------------------------------	
INSERT OR REPLACE INTO IconFontMapping 
		(IconName, 					IconFontTexture,				IconMapping)
VALUES	('ICON_UNCHECKBOX',			'ICON_FONT_TEXTURE_UNCHECKBOX',		1),
		('ICON_RES_JAR_ORANGE', 	'ICON_FONT_TEXTURE_JAR_ORANGE', 	1),
		('ICON_RES_JAR_PISTACHIO', 	'ICON_FONT_TEXTURE_JAR_PISTACHIO', 	2),
		('ICON_RES_JAR_PRICKLYPEAR','ICON_FONT_TEXTURE_JAR_PRICKLYPEAR', 3);
--==========================================================================================================================	
--==========================================================================================================================	
