--=======================================================================================================================
-- MASTER TABLES
--=======================================================================================================================
-------------------------------------------------------------------------------------------------------------------------
CREATE TABLE IF NOT EXISTS CustomModOptions(Name Text, Value INTEGER, Class INTEGER, DbUpdates INTEGER);
CREATE TABLE IF NOT EXISTS JFD_GlobalUserSettings (Type text, Value integer default 1);
CREATE TABLE IF NOT EXISTS COMMUNITY (Type TEXT, Value INTEGER);
--=======================================================================================================================
-- GAME DEFINES
--=======================================================================================================================	
-- RESOURCES
--=======================================================================================================================	
-- Resources
------------------------------	
INSERT INTO Resources 
		(Type,						Description,						Civilopedia, 									ResourceClassType, 		CivilizationType, 			Happiness,  TechCityTrade, AITradeModifier, 	ResourceUsage,	AIObjective,	MinAreaSize, ArtDefineTag,							IconString, 				PortraitIndex, 	IconAtlas)
SELECT	'RESOURCE_JAR_ORANGE',		'TXT_KEY_RESOURCE_JAR_ORANGE',		'TXT_KEY_CIV5_RESOURCE_JAR_ORANGE_TEXT',		'RESOURCECLASS_BONUS',	'CIVILIZATION_JAR_KALBIDS',	Happiness,	TechCityTrade, AITradeModifier, 	ResourceUsage,	AIObjective,	MinAreaSize, 'ART_DEF_RESOURCE_JAR_ORANGE',			'[ICON_RES_JAR_ORANGE]',		4, 			'JAR_KALBIDS_ICON_ATLAS' FROM Resources WHERE Type='RESOURCE_BANANA' UNION ALL
SELECT	'RESOURCE_JAR_PISTACHIO',	'TXT_KEY_RESOURCE_JAR_PISTACHIO',	'TXT_KEY_CIV5_RESOURCE_JAR_PISTACHIO_TEXT',		'RESOURCECLASS_LUXURY',	'CIVILIZATION_JAR_KALBIDS',	Happiness,	TechCityTrade, AITradeModifier, 	ResourceUsage,	AIObjective,	MinAreaSize, 'ART_DEF_RESOURCE_JAR_PISTACHIO',		'[ICON_RES_JAR_PISTACHIO]',		5, 			'JAR_KALBIDS_ICON_ATLAS' FROM Resources WHERE Type='RESOURCE_WINE' UNION ALL
SELECT	'RESOURCE_JAR_PRICKLYPEAR',	'TXT_KEY_RESOURCE_JAR_PRICKLYPEAR',	'TXT_KEY_CIV5_RESOURCE_JAR_PRICKLYPEAR_TEXT',	'RESOURCECLASS_BONUS',	'CIVILIZATION_JAR_KALBIDS', Happiness,	TechCityTrade, AITradeModifier, 	ResourceUsage,	AIObjective,	MinAreaSize, 'ART_DEF_RESOURCE_JAR_PRICKLYPEAR',	'[ICON_RES_JAR_PRICKLYPEAR]',	6, 			'JAR_KALBIDS_ICON_ATLAS' FROM Resources WHERE Type='RESOURCE_BANANA';
--------------------------------------------------------------------------------------------------
--Resource Yield Changes
--------------------------------------------------------------------------------------------------
INSERT INTO Resource_YieldChanges
		(ResourceType,				YieldType,	Yield)
SELECT 'RESOURCE_JAR_ORANGE', 		'YIELD_FOOD', 2 UNION ALL
SELECT 'RESOURCE_JAR_PISTACHIO',	'YIELD_FOOD', 2 UNION ALL
SELECT 'RESOURCE_JAR_PRICKLYPEAR', 	'YIELD_FOOD', 2;
--------------------------------------------------------------------------------------------------
--Resource Improvements
--------------------------------------------------------------------------------------------------
INSERT INTO Improvement_ResourceTypes
		(ResourceType,				ImprovementType)
SELECT 'RESOURCE_JAR_ORANGE', 		'IMPROVEMENT_PLANTATION' UNION ALL
SELECT 'RESOURCE_JAR_PISTACHIO', 	'IMPROVEMENT_PLANTATION' UNION ALL
SELECT 'RESOURCE_JAR_PRICKLYPEAR', 	'IMPROVEMENT_PLANTATION';
--------------------------------------------------------------------------------------------------
--Resource Improvement Yields
--------------------------------------------------------------------------------------------------
INSERT INTO Improvement_ResourceType_Yields
		(ResourceType,				ImprovementType,			YieldType,			Yield)
SELECT 'RESOURCE_JAR_ORANGE',		'IMPROVEMENT_PLANTATION', 'YIELD_FOOD', 1 UNION ALL
SELECT 'RESOURCE_JAR_ORANGE',		'IMPROVEMENT_PLANTATION', 'YIELD_CULTURE', 1 UNION ALL
--
SELECT 'RESOURCE_JAR_PISTACHIO',	'IMPROVEMENT_PLANTATION', 'YIELD_FOOD', 1 UNION ALL
SELECT 'RESOURCE_JAR_PISTACHIO',	'IMPROVEMENT_PLANTATION', 'YIELD_GOLD', 1 UNION ALL
--
SELECT 'RESOURCE_JAR_PRICKLYPEAR',	'IMPROVEMENT_PLANTATION', 'YIELD_FOOD', 1 UNION ALL
SELECT 'RESOURCE_JAR_PRICKLYPEAR',	'IMPROVEMENT_PLANTATION', 'YIELD_PRODUCTION', 1;
--------------------------------------------------------------------------------------------------
--Building_ResourceYieldChanges
--------------------------------------------------------------------------------------------------
INSERT INTO Building_ResourceYieldChanges
		(BuildingType, 		ResourceType, 	YieldType, Yield)
--SELECT	'BUILDING_GRANARY', Type, 			'YIELD_FOOD', 1 FROM Resources WHERE Type in ('RESOURCE_JAR_ORANGE', 'RESOURCE_JAR_PISTACHIO', 'RESOURCE_JAR_PRICKLYPEAR');
SELECT	'BUILDING_GRANARY', Type, 			'YIELD_FOOD', 1 FROM Resources WHERE Type in ('RESOURCE_JAR_ORANGE', 'RESOURCE_JAR_PRICKLYPEAR');
--==========================================================================================================================	
-- FEATURES
--==========================================================================================================================	
-- Features
--------------------------------------------------------------------------------------------------------------------------
INSERT INTO Features
		(Type, 						Description, 						Civilopedia, 							Movement, AddsFreshWater, PortraitIndex, IconAtlas, ArtDefineTag, Defense, InfluenceCost, SeeThrough, Growth, GrowthTerrainType, WorldSoundscapeAudioScript, EffectType, EffectProbability, EffectTypeTag)
SELECT	Type||'_JAR', 				Description,						Civilopedia, 							Movement, 			 1,   PortraitIndex, IconAtlas, ArtDefineTag, Defense, InfluenceCost, SeeThrough, Growth, GrowthTerrainType, WorldSoundscapeAudioScript, EffectType, EffectProbability, EffectTypeTag FROM Features WHERE NoImprovement =0 AND NOT Type = 'FEATURE_ICE' UNION ALL
SELECT	'FEATURE_JAR_FRESH_WATER',  'TXT_KEY_FEATURE_KALBIDS_DUMMY', 	'TXT_KEY_FEATURE_KALBIDS_DUMMY_TEXT', 		 1, 			 1, 			0, 'NEW_TERRAIN_ATLAS_DLC', null,   5, 			   0,		   0,	  0,               null,                       null,	   null,                 0, null;
--------------------------------------------------------------------------------------------------------------------------
-- Feature_YieldChanges
--------------------------------------------------------------------------------------------------------------------------	
INSERT INTO Feature_YieldChanges
		(FeatureType, 			YieldType, Yield)
SELECT	FeatureType||'_JAR',	YieldType, Yield
FROM Feature_YieldChanges WHERE FeatureType IN ('FEATURE_JUNGLE', 'FEATURE_MARSH', 'FEATURE_FLOOD_PLAINS', 'FEATURE_FOREST');
--------------------------------------------------------------------------------------------------------------------------
-- BuildFeatures
--------------------------------------------------------------------------------------------------------------------------	
INSERT INTO BuildFeatures
		(BuildType, FeatureType, 			PrereqTech, Time, Production, Cost, Remove)
SELECT	 BuildType,	FeatureType||'_JAR', 	PrereqTech, Time, Production, Cost, Remove FROM BuildFeatures WHERE FeatureType IN ('FEATURE_FOREST', 'FEATURE_JUNGLE', 'FEATURE_MARSH') AND Time>100;
--------------------------------------------------------------------------------------------------------------------------
-- Improvement_ValidFeatures
--------------------------------------------------------------------------------------------------------------------------	
INSERT INTO Improvement_ValidFeatures
		(ImprovementType, FeatureType)
SELECT	 ImprovementType, FeatureType||'_JAR'
FROM Improvement_ValidFeatures WHERE FeatureType IN ('FEATURE_JUNGLE', 'FEATURE_MARSH', 'FEATURE_FLOOD_PLAINS', 'FEATURE_FOREST');
--------------------------------------------------------------------------------------------------------------------------
-- Building_FeatureYieldChanges
--------------------------------------------------------------------------------------------------------------------------	
INSERT INTO Building_FeatureYieldChanges
		(BuildingType, FeatureType, 		YieldType, Yield)
SELECT	 BuildingType, FeatureType||'_JAR', YieldType, Yield
FROM Building_FeatureYieldChanges WHERE FeatureType IN ('FEATURE_JUNGLE', 'FEATURE_MARSH', 'FEATURE_FLOOD_PLAINS', 'FEATURE_FOREST');
--==========================================================================================================================
-- BuildingClasses
------------------------------------------------------------------------------------------------------------------------	
INSERT INTO BuildingClasses
		(Type, 							DefaultBuilding, 		Description)
VALUES	('BUILDINGCLASS_JAR_KALBIDS',   'BUILDING_JAR_KALBIDS',  'TXT_KEY_TRAIT_JAR_KALBIDS_SHORT'),
		('BUILDINGCLASS_SAQALIBA',   	'BUILDING_SAQALIBA',  	 'TXT_KEY_BUILDING_SAQALIBA');
--==========================================================================================================================	
-- BUILDINGS
--==========================================================================================================================	
-- Buildings
--------------------------------------------------------------------------------------------------------------------------	
INSERT INTO Buildings 	
		(Type, 					BuildingClass, Cost, 			GoldMaintenance, 	FoodKept, GreatWorkSlotType, GreatWorkCount, SpecialistCount, SpecialistType, PrereqTech, Description,					Help,								Strategy,								Civilopedia,						ArtDefineTag, MinAreaSize, DisplayPosition, HurryCostModifier, ConquestProb, NeverCapture, FreeStartEra, IconAtlas,					PortraitIndex)
SELECT	'BUILDING_JAR_QANAT',	BuildingClass, round(Cost*1.2), GoldMaintenance+1, 	FoodKept, GreatWorkSlotType, GreatWorkCount, SpecialistCount, SpecialistType, PrereqTech, 'TXT_KEY_BUILDING_JAR_QANAT',	'TXT_KEY_BUILDING_JAR_QANAT_HELP', 	'TXT_KEY_BUILDING_JAR_QANAT_STRATEGY', 	'TXT_KEY_BUILDING_JAR_QANAT_TEXT', 	ArtDefineTag, MinAreaSize, DisplayPosition, HurryCostModifier, ConquestProb, NeverCapture, FreeStartEra, 'JAR_KALBIDS_ICON_ATLAS',	2
FROM Buildings WHERE Type = 'BUILDING_AQUEDUCT';	
--------------------------------------------------------------------------------------------------------------------------
-- Building_YieldChanges
--------------------------------------------------------------------------------------------------------------------------	
INSERT INTO Building_YieldChanges 		
		(BuildingType, 			YieldType, Yield)
SELECT	'BUILDING_JAR_QANAT',	YieldType, Yield
FROM Building_YieldChanges WHERE BuildingType = 'BUILDING_AQUEDUCT';
--------------------------------------------------------------------------------------------------------------------------
-- Building_ResourceYieldChanges
--------------------------------------------------------------------------------------------------------------------------	
INSERT INTO Building_ResourceYieldChanges 		
		(BuildingType, 			ResourceType, YieldType, Yield)
SELECT	'BUILDING_JAR_QANAT',	ResourceType, YieldType, Yield
FROM Building_ResourceYieldChanges WHERE BuildingType = 'BUILDING_AQUEDUCT';
--------------------------------------------------------------------------------------------------------------------------
-- Building_FeatureYieldChanges
--------------------------------------------------------------------------------------------------------------------------	
INSERT INTO Building_FeatureYieldChanges
		(BuildingType, 			FeatureType, YieldType, Yield)
SELECT	'BUILDING_JAR_QANAT',	FeatureType, YieldType, Yield
FROM Building_FeatureYieldChanges WHERE BuildingType = 'BUILDING_AQUEDUCT';
--------------------------------------------------------------------------------------------------------------------------
-- Building_LakePlotYieldChanges
--------------------------------------------------------------------------------------------------------------------------
INSERT INTO Building_LakePlotYieldChanges
		(BuildingType, 			YieldType, Yield)
SELECT	'BUILDING_JAR_QANAT',	YieldType, Yield
FROM Building_LakePlotYieldChanges WHERE BuildingType = 'BUILDING_AQUEDUCT';
--------------------------------------------------------------------------------------------------------------------------
-- Building_Flavors
--------------------------------------------------------------------------------------------------------------------------	
INSERT INTO Building_Flavors 		
		(BuildingType, 			FlavorType, Flavor)
SELECT	'BUILDING_JAR_QANAT',	FlavorType, Flavor
FROM Building_Flavors WHERE BuildingType = 'BUILDING_AQUEDUCT';

INSERT INTO Building_Flavors 		
		(BuildingType, 			FlavorType, 				Flavor)
VALUES	('BUILDING_JAR_QANAT',	'FLAVOR_TILE_IMPROVEMENT',   15);
------------------------------------------------------------------------------------------------------------------------	
-- Buildings
------------------------------------------------------------------------------------------------------------------------
INSERT INTO Buildings 		
		(Type, 						BuildingClass,		GreatWorkCount,	Cost, FaithCost, PrereqTech, MinAreaSize, HurryCostModifier, Description,						NeverCapture)
VALUES	('BUILDING_JAR_KALBIDS',	'BUILDINGCLASS_JAR_KALBIDS',	-1,	-1,   -1,		 null,		 		-1,			-1,			'TXT_KEY_TRAIT_JAR_KALBIDS_SHORT',		1),
		('BUILDING_SAQALIBA',		'BUILDINGCLASS_SAQALIBA',		-1,	-1,   -1,		 null,		 		-1,			-1,			'TXT_KEY_BUILDING_JAR_KALBIDS',		1);
UPDATE Buildings SET Defense = 100 WHERE Type = 'BUILDING_SAQALIBA';
--------------------------------------------------------------------------------------------------------------------------
-- Building_ResourceYieldChanges
--------------------------------------------------------------------------------------------------------------------------	
--INSERT INTO Building_ResourceYieldChanges 		
--		(BuildingType, 			ResourceType, 	YieldType, Yield)
--SELECT	'BUILDING_JAR_KALBIDS',	Type, 			'YIELD_FOOD', 1 	FROM Resources WHERE Type in ('RESOURCE_JAR_ORANGE', 'RESOURCE_JAR_PISTACHIO', 'RESOURCE_JAR_PRICKLYPEAR');
--==========================================================================================================================
-- UNITS
--==========================================================================================================================
--------------------------------------------------------------------------------------------------------------------------
-- UnitPromotions
--------------------------------------------------------------------------------------------------------------------------
INSERT INTO UnitPromotions 
		(Type, 						Description, 						 Help, 									   Sound, 				CannotBeChosen, LostWithUpgrade, PortraitIndex, 	IconAtlas, 			PediaType, 			 PediaEntry)
VALUES	('PROMOTION_JAR_SAQALIBA1',	'TXT_KEY_PROMOTION_JAR_SAQALIBA1',	 'TXT_KEY_PROMOTION_JAR_SAQALIBA1_HELP',  'AS2D_IF_LEVELUP', 	1, 				1,					0, 			'promoKalbids_atlas', 	'PEDIA_ATTRIBUTES',  'TXT_KEY_PROMOTION_JAR_SAQALIBA1'),
		('PROMOTION_JAR_SAQALIBA2',	'TXT_KEY_PROMOTION_JAR_SAQALIBA2',	 'TXT_KEY_PROMOTION_JAR_SAQALIBA2_HELP',  'AS2D_IF_LEVELUP', 	1, 				1,					1, 			'promoKalbids_atlas', 	'PEDIA_ATTRIBUTES',  'TXT_KEY_PROMOTION_JAR_SAQALIBA2');
--------------------------------------------------------------------------------------------------------------------------
-- Units
--------------------------------------------------------------------------------------------------------------------------
INSERT INTO Units 	
		(Type, 					Class, BaseCultureTurnsToCount, PrereqTech,	Special, Combat,	Cost, FaithCost, RequiresFaithPurchaseEnabled, CivilianAttackPriority, Moves, CombatClass, Domain, DefaultUnitAI,	Description, 					Civilopedia, 						Strategy, 								Help, 								MilitarySupport, MilitaryProduction, Pillage, IgnoreBuildingDefense, AdvancedStartCost, GoodyHutUpgradeUnitClass, CombatLimit, ObsoleteTech, XPValueDefense, DontShowYields, UnitArtInfoEraVariation,	UnitArtInfo, 					UnitFlagIconOffset, UnitFlagAtlas,				PortraitIndex, 	IconAtlas,					MoveRate)
SELECT	'UNIT_JAR_SAQALIBA',	Class, BaseCultureTurnsToCount, PrereqTech,	Special, Combat,	Cost, FaithCost, RequiresFaithPurchaseEnabled, CivilianAttackPriority, Moves, CombatClass, Domain, DefaultUnitAI,	'TXT_KEY_UNIT_JAR_SAQALIBA',	'TXT_KEY_UNIT_JAR_SAQALIBA_PEDIA', 	'TXT_KEY_UNIT_JAR_SAQALIBA_STRATEGY', 	'TXT_KEY_UNIT_JAR_SAQALIBA_HELP', 	MilitarySupport, MilitaryProduction, Pillage, IgnoreBuildingDefense, AdvancedStartCost, GoodyHutUpgradeUnitClass, CombatLimit, ObsoleteTech, XPValueDefense, DontShowYields, 0,							'ART_DEF_UNIT_JAR_SAQALIBA',		0,				'JAR_UNIT_FLAG_SAQALIBA',	3, 				'JAR_KALBIDS_ICON_ATLAS',	MoveRate
FROM Units WHERE Type = 'UNIT_LONGSWORDSMAN'; 	
--------------------------------------------------------------------------------------------------------------------------
-- UnitGameplay2DScripts
--------------------------------------------------------------------------------------------------------------------------
INSERT INTO UnitGameplay2DScripts 	
		(UnitType, 				SelectionSound, FirstSelectionSound)
SELECT	'UNIT_JAR_SAQALIBA',	SelectionSound, FirstSelectionSound
FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_LONGSWORDSMAN';
--------------------------------------------------------------------------------------------------------------------------
-- Unit_AITypes
--------------------------------------------------------------------------------------------------------------------------
INSERT INTO Unit_AITypes 	
		(UnitType, 				UnitAIType)
SELECT	'UNIT_JAR_SAQALIBA',	UnitAIType
FROM Unit_AITypes WHERE UnitType = 'UNIT_LONGSWORDSMAN';
--------------------------------------------------------------------------------------------------------------------------
-- Unit_Flavors
--------------------------------------------------------------------------------------------------------------------------
INSERT INTO Unit_Flavors 	
		(UnitType, 				FlavorType, Flavor)
SELECT	'UNIT_JAR_SAQALIBA',	FlavorType, Flavor
FROM Unit_Flavors WHERE UnitType = 'UNIT_LONGSWORDSMAN';
------------------------------------------------------------------------------------------------------------------------
-- Unit_ClassUpgrades
------------------------------------------------------------------------------------------------------------------------
INSERT INTO Unit_ClassUpgrades 	
		(UnitType, 				UnitClassType)
SELECT	'UNIT_JAR_SAQALIBA',	UnitClassType
FROM Unit_ClassUpgrades WHERE UnitType = 'UNIT_LONGSWORDSMAN';
--------------------------------------------------------------------------------------------------------------------------
-- Unit_ResourceQuantityRequirements
--------------------------------------------------------------------------------------------------------------------------
INSERT INTO Unit_ResourceQuantityRequirements
		(UnitType, 				ResourceType, Cost)
SELECT	'UNIT_JAR_SAQALIBA',	ResourceType, Cost
FROM Unit_ResourceQuantityRequirements WHERE UnitType = 'UNIT_LONGSWORDSMAN';
--------------------------------------------------------------------------------------------------------------------------
-- Unit_FreePromotions
--------------------------------------------------------------------------------------------------------------------------
INSERT INTO Unit_FreePromotions 	
		(UnitType, 				PromotionType)
SELECT	'UNIT_JAR_SAQALIBA',	PromotionType
FROM Unit_FreePromotions WHERE UnitType = 'UNIT_LONGSWORDSMAN';

INSERT INTO Unit_FreePromotions 	
		(UnitType, 				PromotionType)
VALUES	('UNIT_JAR_SAQALIBA',	'PROMOTION_JAR_SAQALIBA1'),
		('UNIT_JAR_SAQALIBA',	'PROMOTION_JAR_SAQALIBA2');
--==========================================================================================================================	
-- LEADERS
--==========================================================================================================================	
-- Leaders
--------------------------------------------------------------------------------------------------------------------------			
INSERT INTO Leaders 
		(Type, 					Description, 					Civilopedia, 						CivilopediaTag, 							ArtDefineTag, 				VictoryCompetitiveness, 	WonderCompetitiveness, 	MinorCivCompetitiveness, 	Boldness, 	DiploBalance, 	WarmongerHate, 	DenounceWillingness, 	DoFWillingness, Loyalty, 	Neediness, 	Forgiveness, 	Chattiness, Meanness, 	IconAtlas, 					PortraitIndex)
VALUES	('LEADER_JAR_YUSUF', 	'TXT_KEY_LEADER_JAR_YUSUF',		'TXT_KEY_LEADER_JAR_YUSUF_PEDIA',	'TXT_KEY_CIVILOPEDIA_LEADERS_JAR_YUSUF', 	'kalbids_leaderscene.xml',	7, 							5, 						3, 							6, 			6, 				6, 				5, 						6, 				6, 			2, 			6, 				3, 			5, 			'JAR_KALBIDS_ICON_ATLAS', 	1);
--------------------------------------------------------------------------------------------------------------------------		
-- Leader_MajorCivApproachBiases
--------------------------------------------------------------------------------------------------------------------------						
INSERT INTO Leader_MajorCivApproachBiases 
		(LeaderType, 			MajorCivApproachType, 				Bias)
VALUES	('LEADER_JAR_YUSUF', 	'MAJOR_CIV_APPROACH_WAR', 			5),
		('LEADER_JAR_YUSUF', 	'MAJOR_CIV_APPROACH_HOSTILE', 		4),
		('LEADER_JAR_YUSUF', 	'MAJOR_CIV_APPROACH_DECEPTIVE', 	4),
		('LEADER_JAR_YUSUF', 	'MAJOR_CIV_APPROACH_GUARDED', 		7),
		('LEADER_JAR_YUSUF', 	'MAJOR_CIV_APPROACH_AFRAID', 		2),
		('LEADER_JAR_YUSUF', 	'MAJOR_CIV_APPROACH_FRIENDLY', 		6),
		('LEADER_JAR_YUSUF', 	'MAJOR_CIV_APPROACH_NEUTRAL', 		8);
--------------------------------------------------------------------------------------------------------------------------	
-- Leader_MajorCivApproachBiases
--------------------------------------------------------------------------------------------------------------------------							
INSERT INTO Leader_MinorCivApproachBiases 
		(LeaderType, 			MinorCivApproachType, 				Bias)
VALUES	('LEADER_JAR_YUSUF', 	'MINOR_CIV_APPROACH_IGNORE', 		6),
		('LEADER_JAR_YUSUF', 	'MINOR_CIV_APPROACH_FRIENDLY', 		5),
		('LEADER_JAR_YUSUF', 	'MINOR_CIV_APPROACH_PROTECTIVE', 	5),
		('LEADER_JAR_YUSUF', 	'MINOR_CIV_APPROACH_CONQUEST', 		7),
		('LEADER_JAR_YUSUF', 	'MINOR_CIV_APPROACH_BULLY', 		4);
--------------------------------------------------------------------------------------------------------------------------	
-- Leader_Flavors
--------------------------------------------------------------------------------------------------------------------------							
INSERT INTO Leader_Flavors 
		(LeaderType, 			FlavorType, 						Flavor)
VALUES	('LEADER_JAR_YUSUF', 	'FLAVOR_OFFENSE', 					5),
		('LEADER_JAR_YUSUF', 	'FLAVOR_DEFENSE', 					7),
		('LEADER_JAR_YUSUF', 	'FLAVOR_CITY_DEFENSE', 				6),
		('LEADER_JAR_YUSUF', 	'FLAVOR_MILITARY_TRAINING', 		7),
		('LEADER_JAR_YUSUF', 	'FLAVOR_RECON', 					6),
		('LEADER_JAR_YUSUF', 	'FLAVOR_RANGED', 					5),
		('LEADER_JAR_YUSUF', 	'FLAVOR_MOBILE', 					6),
		('LEADER_JAR_YUSUF', 	'FLAVOR_NAVAL', 					7),
		('LEADER_JAR_YUSUF', 	'FLAVOR_NAVAL_RECON', 				7),
		('LEADER_JAR_YUSUF', 	'FLAVOR_NAVAL_GROWTH', 				7),
		('LEADER_JAR_YUSUF', 	'FLAVOR_NAVAL_TILE_IMPROVEMENT', 	7),
		('LEADER_JAR_YUSUF', 	'FLAVOR_AIR', 						3),
		('LEADER_JAR_YUSUF', 	'FLAVOR_EXPANSION', 				7),
		('LEADER_JAR_YUSUF', 	'FLAVOR_GROWTH', 					9),
		('LEADER_JAR_YUSUF', 	'FLAVOR_TILE_IMPROVEMENT', 			9),
		('LEADER_JAR_YUSUF', 	'FLAVOR_INFRASTRUCTURE', 			8),
		('LEADER_JAR_YUSUF', 	'FLAVOR_PRODUCTION', 				6),
		('LEADER_JAR_YUSUF', 	'FLAVOR_GOLD', 						6),
		('LEADER_JAR_YUSUF', 	'FLAVOR_SCIENCE', 					5),
		('LEADER_JAR_YUSUF', 	'FLAVOR_CULTURE', 					6),
		('LEADER_JAR_YUSUF', 	'FLAVOR_HAPPINESS', 				8),
		('LEADER_JAR_YUSUF', 	'FLAVOR_GREAT_PEOPLE', 				8),
		('LEADER_JAR_YUSUF', 	'FLAVOR_WONDER', 					5),
		('LEADER_JAR_YUSUF', 	'FLAVOR_RELIGION', 					7),
		('LEADER_JAR_YUSUF', 	'FLAVOR_DIPLOMACY', 				6),
		('LEADER_JAR_YUSUF', 	'FLAVOR_SPACESHIP', 				2),
		('LEADER_JAR_YUSUF', 	'FLAVOR_WATER_CONNECTION', 			7),
		('LEADER_JAR_YUSUF', 	'FLAVOR_NUKE', 						2),
		('LEADER_JAR_YUSUF', 	'FLAVOR_USE_NUKE', 					2),
		('LEADER_JAR_YUSUF', 	'FLAVOR_ESPIONAGE', 				5),
		('LEADER_JAR_YUSUF', 	'FLAVOR_AIRLIFT', 					5),
		('LEADER_JAR_YUSUF', 	'FLAVOR_I_TRADE_DESTINATION', 		7),
		('LEADER_JAR_YUSUF', 	'FLAVOR_I_TRADE_ORIGIN', 			7),
		('LEADER_JAR_YUSUF', 	'FLAVOR_I_SEA_TRADE_ROUTE', 		7),
		('LEADER_JAR_YUSUF', 	'FLAVOR_I_LAND_TRADE_ROUTE', 		7),
		('LEADER_JAR_YUSUF', 	'FLAVOR_ARCHAEOLOGY', 				5),
		('LEADER_JAR_YUSUF', 	'FLAVOR_AIR_CARRIER', 				5);
--------------------------------------------------------------------------------------------------------------------------	
-- Leader_Traits
--------------------------------------------------------------------------------------------------------------------------	
INSERT INTO Leader_Traits 
		(LeaderType, 				TraitType)
VALUES	('LEADER_JAR_YUSUF', 	'TRAIT_JAR_KALBIDS');
--==========================================================================================================================	
-- TRAITS
--==========================================================================================================================	
-- Traits
--------------------------------------------------------------------------------------------------------------------------	
INSERT INTO Traits 
		(Type, 					Description, 					ShortDescription,					FreeBuilding)
VALUES	('TRAIT_JAR_KALBIDS', 	'TXT_KEY_TRAIT_JAR_KALBIDS',	'TXT_KEY_TRAIT_JAR_KALBIDS_SHORT',	'BUILDING_JAR_KALBIDS');
--==========================================================================================================================	
-- DIPLOMACY
--==========================================================================================================================	
-- Diplomacy_Responses
--------------------------------------------------------------------------------------------------------------------------
INSERT INTO Diplomacy_Responses
		(LeaderType, 			ResponseType, 								Response, 													Bias)
VALUES 	('LEADER_JAR_YUSUF', 	'RESPONSE_AI_DOF_BACKSTAB', 				'TXT_KEY_LEADER_JAR_YUSUF_DENOUNCE_FRIEND%', 				500),
		('LEADER_JAR_YUSUF', 	'RESPONSE_ATTACKED_HOSTILE', 				'TXT_KEY_LEADER_JAR_YUSUF_ATTACKED_HOSTILE%', 				500),
		('LEADER_JAR_YUSUF', 	'RESPONSE_DEFEATED', 						'TXT_KEY_LEADER_JAR_YUSUF_DEFEATED%', 						500),
		('LEADER_JAR_YUSUF', 	'RESPONSE_DOW_GENERIC', 					'TXT_KEY_LEADER_JAR_YUSUF_DOW_GENERIC%', 					500),
		('LEADER_JAR_YUSUF', 	'RESPONSE_FIRST_GREETING', 					'TXT_KEY_LEADER_JAR_YUSUF_FIRSTGREETING%', 					500),
		('LEADER_JAR_YUSUF', 	'RESPONSE_RESPONSE_TO_BEING_DENOUNCED', 	'TXT_KEY_LEADER_JAR_YUSUF_RESPONSE_TO_BEING_DENOUNCED%', 	500),
		('LEADER_JAR_YUSUF', 	'RESPONSE_WORK_AGAINST_SOMEONE', 			'TXT_KEY_LEADER_JAR_YUSUF_DENOUNCE%', 						500),
		('LEADER_JAR_YUSUF', 	'RESPONSE_WORK_WITH_US', 					'TXT_KEY_LEADER_JAR_YUSUF_DEC_FRIENDSHIP%', 				500),
		('LEADER_JAR_YUSUF', 	'RESPONSE_GREETING_HOSTILE_REPEAT', 		'TXT_KEY_LEADER_JAR_YUSUF_GREETING_HOSTILE_REPEAT%', 		500),
		('LEADER_JAR_YUSUF', 	'RESPONSE_REPEAT_TRADE', 					'TXT_KEY_LEADER_JAR_YUSUF_REPEAT_TRADE%', 					500),
		('LEADER_JAR_YUSUF', 	'RESPONSE_GREETING_POLITE_HELLO', 			'TXT_KEY_LEADER_JAR_YUSUF_GREETING_POLITE_HELLO%', 			500),
		('LEADER_JAR_YUSUF', 	'RESPONSE_GREETING_NEUTRAL_HELLO', 			'TXT_KEY_LEADER_JAR_YUSUF_GREETING_NEUTRAL_HELLO%',			500),
		('LEADER_JAR_YUSUF', 	'RESPONSE_GREETING_HOSTILE_HELLO', 			'TXT_KEY_LEADER_JAR_YUSUF_GREETING_HOSTILE_HELLO%', 		500),
		('LEADER_JAR_YUSUF', 	'RESPONSE_GREETING_WORKING_WITH', 			'TXT_KEY_LEADER_JAR_YUSUF_GREETING_WORKING_WITH%', 			500),
		('LEADER_JAR_YUSUF', 	'RESPONSE_GREETING_HOSTILE_HUMAN_IS_WARMONGER', 'TXT_KEY_LEADER_JAR_YUSUF_GREETING_HOSTILE_HUMAN_IS_WARMONGER%', 500),
		('LEADER_JAR_YUSUF', 	'RESPONSE_DOW_BETRAYAL', 					'TXT_KEY_LEADER_JAR_YUSUF_DOW_BETRAYAL%', 					500);
--==========================================================================================================================	
-- CIVILIZATIONS
--==========================================================================================================================	
-- Civilizations
--------------------------------------------------------------------------------------------------------------------------		
INSERT INTO Civilizations 	
		(Type, 							Description,					 ShortDescription,						Adjective,								Civilopedia, 						CivilopediaTag, 			DefaultPlayerColor,			ArtDefineTag, ArtStyleType, ArtStyleSuffix, ArtStylePrefix, IconAtlas,					PortraitIndex,	AlphaIconAtlas,				SoundtrackTag,  MapImage, 			DawnOfManQuote, 						DawnOfManImage)
SELECT	'CIVILIZATION_JAR_KALBIDS',		'TXT_KEY_CIV_JAR_KALBIDS_DESC',	 'TXT_KEY_CIV_JAR_KALBIDS_SHORT_DESC',	'TXT_KEY_CIV_JAR_KALBIDS_ADJECTIVE',	'TXT_KEY_CIV5_JAR_KALBIDS_TEXT_1',  'TXT_KEY_CIV5_JAR_KALBIDS',	'PLAYERCOLOR_JAR_KALBIDS',	ArtDefineTag, ArtStyleType, ArtStyleSuffix, ArtStylePrefix, 'JAR_KALBIDS_ICON_ATLAS',	0,				'JAR_KALBIDS_ALPHA_ATLAS',	SoundtrackTag, 	'kalbids_map.dds',	'TXT_KEY_CIV5_DAWN_JAR_KALBIDS_TEXT',	'dom_kalbids.dds'
FROM Civilizations WHERE Type = 'CIVILIZATION_MOROCCO';
--------------------------------------------------------------------------------------------------------------------------	
-- Civilization_CityNames
--------------------------------------------------------------------------------------------------------------------------	
INSERT INTO Civilization_CityNames 
		(CivilizationType, 					CityName)
VALUES	('CIVILIZATION_JAR_KALBIDS', 	'TXT_KEY_CITY_NAME_JAR_KALBIDS_01'),
		('CIVILIZATION_JAR_KALBIDS', 	'TXT_KEY_CITY_NAME_JAR_KALBIDS_02'),
		('CIVILIZATION_JAR_KALBIDS', 	'TXT_KEY_CITY_NAME_JAR_KALBIDS_03'),
		('CIVILIZATION_JAR_KALBIDS', 	'TXT_KEY_CITY_NAME_JAR_KALBIDS_04'),
		('CIVILIZATION_JAR_KALBIDS', 	'TXT_KEY_CITY_NAME_JAR_KALBIDS_05'),
		('CIVILIZATION_JAR_KALBIDS', 	'TXT_KEY_CITY_NAME_JAR_KALBIDS_06'),
		('CIVILIZATION_JAR_KALBIDS', 	'TXT_KEY_CITY_NAME_JAR_KALBIDS_07'),
		('CIVILIZATION_JAR_KALBIDS', 	'TXT_KEY_CITY_NAME_JAR_KALBIDS_08'),
		('CIVILIZATION_JAR_KALBIDS', 	'TXT_KEY_CITY_NAME_JAR_KALBIDS_09'),
		('CIVILIZATION_JAR_KALBIDS', 	'TXT_KEY_CITY_NAME_JAR_KALBIDS_10'),
		('CIVILIZATION_JAR_KALBIDS', 	'TXT_KEY_CITY_NAME_JAR_KALBIDS_11'),
		('CIVILIZATION_JAR_KALBIDS', 	'TXT_KEY_CITY_NAME_JAR_KALBIDS_12'),
		('CIVILIZATION_JAR_KALBIDS', 	'TXT_KEY_CITY_NAME_JAR_KALBIDS_13'),
		('CIVILIZATION_JAR_KALBIDS', 	'TXT_KEY_CITY_NAME_JAR_KALBIDS_14'),
		('CIVILIZATION_JAR_KALBIDS', 	'TXT_KEY_CITY_NAME_JAR_KALBIDS_15'),
		('CIVILIZATION_JAR_KALBIDS', 	'TXT_KEY_CITY_NAME_JAR_KALBIDS_16'),
		('CIVILIZATION_JAR_KALBIDS', 	'TXT_KEY_CITY_NAME_JAR_KALBIDS_17'),
		('CIVILIZATION_JAR_KALBIDS', 	'TXT_KEY_CITY_NAME_JAR_KALBIDS_18'),
		('CIVILIZATION_JAR_KALBIDS', 	'TXT_KEY_CITY_NAME_JAR_KALBIDS_19'),
		('CIVILIZATION_JAR_KALBIDS', 	'TXT_KEY_CITY_NAME_JAR_KALBIDS_20'),
		('CIVILIZATION_JAR_KALBIDS', 	'TXT_KEY_CITY_NAME_JAR_KALBIDS_21'),
		('CIVILIZATION_JAR_KALBIDS', 	'TXT_KEY_CITY_NAME_JAR_KALBIDS_22'),
		('CIVILIZATION_JAR_KALBIDS', 	'TXT_KEY_CITY_NAME_JAR_KALBIDS_23'),
		('CIVILIZATION_JAR_KALBIDS', 	'TXT_KEY_CITY_NAME_JAR_KALBIDS_24'),
		('CIVILIZATION_JAR_KALBIDS', 	'TXT_KEY_CITY_NAME_JAR_KALBIDS_25'),
		('CIVILIZATION_JAR_KALBIDS', 	'TXT_KEY_CITY_NAME_JAR_KALBIDS_26'),
		('CIVILIZATION_JAR_KALBIDS', 	'TXT_KEY_CITY_NAME_JAR_KALBIDS_27'),
		('CIVILIZATION_JAR_KALBIDS', 	'TXT_KEY_CITY_NAME_JAR_KALBIDS_28'),
		('CIVILIZATION_JAR_KALBIDS', 	'TXT_KEY_CITY_NAME_JAR_KALBIDS_29'),
		('CIVILIZATION_JAR_KALBIDS', 	'TXT_KEY_CITY_NAME_JAR_KALBIDS_30'),
		('CIVILIZATION_JAR_KALBIDS', 	'TXT_KEY_CITY_NAME_JAR_KALBIDS_31'),
		('CIVILIZATION_JAR_KALBIDS', 	'TXT_KEY_CITY_NAME_JAR_KALBIDS_32'),
		('CIVILIZATION_JAR_KALBIDS', 	'TXT_KEY_CITY_NAME_JAR_KALBIDS_33'),
		('CIVILIZATION_JAR_KALBIDS', 	'TXT_KEY_CITY_NAME_JAR_KALBIDS_34'),
		('CIVILIZATION_JAR_KALBIDS', 	'TXT_KEY_CITY_NAME_JAR_KALBIDS_35');
--------------------------------------------------------------------------------------------------------------------------	
-- Civilization_FreeBuildingClasses
--------------------------------------------------------------------------------------------------------------------------			
INSERT INTO Civilization_FreeBuildingClasses 
		(CivilizationType, 				BuildingClassType)
SELECT	'CIVILIZATION_JAR_KALBIDS', 	BuildingClassType
FROM Civilization_FreeBuildingClasses WHERE CivilizationType = 'CIVILIZATION_MOROCCO';
--------------------------------------------------------------------------------------------------------------------------		
-- Civilization_FreeTechs
--------------------------------------------------------------------------------------------------------------------------			
INSERT INTO Civilization_FreeTechs 
		(CivilizationType, 				TechType)
SELECT	'CIVILIZATION_JAR_KALBIDS', 	TechType
FROM Civilization_FreeTechs WHERE CivilizationType = 'CIVILIZATION_MOROCCO';
--------------------------------------------------------------------------------------------------------------------------	
-- Civilization_FreeUnits
--------------------------------------------------------------------------------------------------------------------------		
INSERT INTO Civilization_FreeUnits 
		(CivilizationType, 				UnitClassType, Count, UnitAIType)
SELECT	'CIVILIZATION_JAR_KALBIDS', 	UnitClassType, Count, UnitAIType
FROM Civilization_FreeUnits WHERE CivilizationType = 'CIVILIZATION_MOROCCO';
--------------------------------------------------------------------------------------------------------------------------	
-- Civilization_Leaders
--------------------------------------------------------------------------------------------------------------------------		
INSERT INTO Civilization_Leaders 
		(CivilizationType, 					LeaderheadType)
VALUES	('CIVILIZATION_JAR_KALBIDS',	'LEADER_JAR_YUSUF');
--------------------------------------------------------------------------------------------------------------------------	
-- Civilization_UnitClassOverrides 
--------------------------------------------------------------------------------------------------------------------------		
INSERT INTO Civilization_UnitClassOverrides 
		(CivilizationType, 					UnitClassType, 			UnitType)
VALUES	('CIVILIZATION_JAR_KALBIDS', 	'UNITCLASS_LONGSWORDSMAN',	'UNIT_JAR_SAQALIBA');
--------------------------------------------------------------------------------------------------------------------------	
-- Civilization_BuildingClassOverrides 
--------------------------------------------------------------------------------------------------------------------------		
INSERT INTO Civilization_BuildingClassOverrides 
		(CivilizationType, 					BuildingClassType, 		BuildingType)
VALUES	('CIVILIZATION_JAR_KALBIDS', 	'BUILDINGCLASS_AQUEDUCT',	'BUILDING_JAR_QANAT');
--------------------------------------------------------------------------------------------------------------------------	
-- Civilization_Religions
--------------------------------------------------------------------------------------------------------------------------		
INSERT INTO Civilization_Religions 
		(CivilizationType, 				ReligionType)
VALUES	('CIVILIZATION_JAR_KALBIDS',	'RELIGION_ISLAM');	
--------------------------------------------------------------------------------------------------------------------------	
-- Civilization_SpyNames
--------------------------------------------------------------------------------------------------------------------------		
INSERT INTO Civilization_SpyNames 
		(CivilizationType, 					SpyName)
VALUES	('CIVILIZATION_JAR_KALBIDS', 	'TXT_KEY_SPY_NAME_JAR_KALBIDS_0'),	
		('CIVILIZATION_JAR_KALBIDS', 	'TXT_KEY_SPY_NAME_JAR_KALBIDS_1'),
		('CIVILIZATION_JAR_KALBIDS', 	'TXT_KEY_SPY_NAME_JAR_KALBIDS_2'),
		('CIVILIZATION_JAR_KALBIDS', 	'TXT_KEY_SPY_NAME_JAR_KALBIDS_3'),
		('CIVILIZATION_JAR_KALBIDS', 	'TXT_KEY_SPY_NAME_JAR_KALBIDS_4'),
		('CIVILIZATION_JAR_KALBIDS', 	'TXT_KEY_SPY_NAME_JAR_KALBIDS_5'),
		('CIVILIZATION_JAR_KALBIDS', 	'TXT_KEY_SPY_NAME_JAR_KALBIDS_6'),
		('CIVILIZATION_JAR_KALBIDS', 	'TXT_KEY_SPY_NAME_JAR_KALBIDS_7'),
		('CIVILIZATION_JAR_KALBIDS', 	'TXT_KEY_SPY_NAME_JAR_KALBIDS_8'),
		('CIVILIZATION_JAR_KALBIDS', 	'TXT_KEY_SPY_NAME_JAR_KALBIDS_9'),
		('CIVILIZATION_JAR_KALBIDS', 	'TXT_KEY_SPY_NAME_JAR_KALBIDS_10'),
		('CIVILIZATION_JAR_KALBIDS', 	'TXT_KEY_SPY_NAME_JAR_KALBIDS_11');
--------------------------------------------------------------------------------------------------------------------------
-- Civilization_Start_Along_Ocean 
--------------------------------------------------------------------------------------------------------------------------
INSERT INTO Civilization_Start_Along_Ocean 
		(CivilizationType, 					StartAlongOcean)
VALUES	('CIVILIZATION_JAR_KALBIDS', 		1);
--------------------------------------------------------------------------------------------------------------------------
-- Civilization_Start_Place_First_Along_Ocean
--------------------------------------------------------------------------------------------------------------------------
INSERT INTO Civilization_Start_Place_First_Along_Ocean 
		(CivilizationType, 					PlaceFirst)
VALUES	('CIVILIZATION_JAR_KALBIDS', 		1);
--------------------------------------------------------------------------------------------------------------------------
-- Civilization_Start_Region_Avoid
--------------------------------------------------------------------------------------------------------------------------
INSERT INTO Civilization_Start_Region_Avoid
		(CivilizationType, 					RegionType)
VALUES	('CIVILIZATION_JAR_KALBIDS', 		'REGION_TUNDRA'),
		('CIVILIZATION_JAR_KALBIDS', 		'REGION_JUNGLE');
--==========================================================================================================================
--==========================================================================================================================
