--==========================================================================================================================
-- MASTER TABLES
--==========================================================================================================================
--------------------------------------------------------------------------------------------------------------------------
CREATE TABLE IF NOT EXISTS COMMUNITY (Type TEXT, Value INTEGER);
CREATE TABLE IF NOT EXISTS Civilization_JFD_ColonialCityNames(CivilizationType text, ColonyName text, LinguisticType text);
CREATE TABLE IF NOT EXISTS Civilization_JFD_Governments(CivilizationType text, CultureType text, LegislatureName text, OfficeTitle text, GovernmentType text, Weight integer);
CREATE TABLE IF NOT EXISTS Civilizations_YnAEMP(CivilizationType, MapPrefix, X, Y, CapitalName, AltX, AltY, AltCapitalName);
CREATE TABLE IF NOT EXISTS Civilizations_YnAEMPRequestedResources(CivilizationType, MapPrefix, Req1, Yield1, Req2, Yield2, Req3, Yield3, Req4, Yield4, Req5, Yield5, Req6, Yield6);
CREATE TABLE IF NOT EXISTS JFD_Civilopedia_HideFromPedia(Type text);
CREATE TABLE IF NOT EXISTS JFD_GlobalUserSettings(Type text, Value integer default 1);
CREATE TABLE IF NOT EXISTS MinorCivilizations_YnAEMP(MinorCivType, MapPrefix, X, Y, CapitalName, AltX, AltY, AltCapitalName);
--==========================================================================================================================
-- LEADERS
--==========================================================================================================================
--------------------------------------------------------------------------------------------------------------------------
-- Flavors
--------------------------------------------------------------------------------------------------------------------------	
INSERT OR REPLACE INTO Flavors 
		(Type)
VALUES	('FLAVOR_JFD_DECOLONIZATION'),
		('FLAVOR_JFD_MERCENARY'),
		('FLAVOR_JFD_REFORM_GOVERNMENT'),
		('FLAVOR_JFD_REFORM_LEGAL'),
		('FLAVOR_JFD_REFORM_CULTURE'),
		('FLAVOR_JFD_REFORM_ECONOMIC'),
		('FLAVOR_JFD_REFORM_EDUCATION'),
		('FLAVOR_JFD_REFORM_FOREIGN'),
		('FLAVOR_JFD_REFORM_INDUSTRY'),
		('FLAVOR_JFD_REFORM_MILITARY'),
		('FLAVOR_JFD_REFORM_RELIGION'),
		('FLAVOR_JFD_RELIGIOUS_INTOLERANCE'),
		('FLAVOR_JFD_SLAVERY'),
		('FLAVOR_JFD_STATE_RELIGION');
--------------------------------------------------------------------------------------------------------------------------
-- Leader_Flavors
--------------------------------------------------------------------------------------------------------------------------	
INSERT INTO Leader_Flavors
		(LeaderType,			FlavorType,							Flavor)
VALUES	('LEADER_JAR_YUSUF',	'FLAVOR_JFD_DECOLONIZATION',		6),
		('LEADER_JAR_YUSUF',	'FLAVOR_JFD_MERCENARY',				7),
		('LEADER_JAR_YUSUF',	'FLAVOR_JFD_RELIGIOUS_INTOLERANCE',	6),
		('LEADER_JAR_YUSUF',	'FLAVOR_JFD_REFORM_GOVERNMENT',		6),
		('LEADER_JAR_YUSUF',	'FLAVOR_JFD_REFORM_LEGAL',			6),
		('LEADER_JAR_YUSUF',	'FLAVOR_JFD_REFORM_CULTURE',		4),
		('LEADER_JAR_YUSUF',	'FLAVOR_JFD_REFORM_ECONOMIC',		5),
		('LEADER_JAR_YUSUF',	'FLAVOR_JFD_REFORM_EDUCATION',		4),
		('LEADER_JAR_YUSUF',	'FLAVOR_JFD_REFORM_FOREIGN',		7),
		('LEADER_JAR_YUSUF',	'FLAVOR_JFD_REFORM_INDUSTRY',		5),
		('LEADER_JAR_YUSUF',	'FLAVOR_JFD_REFORM_MILITARY',		8),
		('LEADER_JAR_YUSUF',	'FLAVOR_JFD_REFORM_RELIGION',		7),
		('LEADER_JAR_YUSUF',	'FLAVOR_JFD_SLAVERY',				6),
		('LEADER_JAR_YUSUF',	'FLAVOR_JFD_STATE_RELIGION',		6);
--==========================================================================================================================
-- CIVILIZATIONS
--==========================================================================================================================
--------------------------------------------------------------------------------------------------------------------------	
-- Civilization_JFD_Governments
--------------------------------------------------------------------------------------------------------------------------
INSERT INTO Civilization_JFD_Governments
		(CivilizationType,				GovernmentType,				Weight)
VALUES  ('CIVILIZATION_JAR_KALBIDS',	'GOVERNMENT_JFD_MONARCHY',	80);
--------------------------------------------------------------------------------------------------------------------------
-- Civilizations_YnAEMP
--------------------------------------------------------------------------------------------------------------------------	
INSERT INTO Civilizations_YnAEMP
		(CivilizationType,				MapPrefix,			X,		Y)
VALUES	('CIVILIZATION_JAR_KALBIDS',	'Yagem',			20,		53),
		('CIVILIZATION_JAR_KALBIDS',	'Yahem',			60,		51),
		('CIVILIZATION_JAR_KALBIDS',	'Cordiform',		36,		21),
		('CIVILIZATION_JAR_KALBIDS',	'GreatestEarth', 	49,		39),
		('CIVILIZATION_JAR_KALBIDS',	'EuroGiant',		65,		20),
		('CIVILIZATION_JAR_KALBIDS',	'EuroLarge', 		37,		25),
		('CIVILIZATION_JAR_KALBIDS',	'EuroLargeNew', 	39,		14),
		('CIVILIZATION_JAR_KALBIDS',	'NorthAtlantic', 	102,	15),
		('CIVILIZATION_JAR_KALBIDS',	'Apennine', 		32,  	12),
		('CIVILIZATION_JAR_KALBIDS',	'Mediterranean', 	44,		30),
		('CIVILIZATION_JAR_KALBIDS',	'AfriAsiaAust', 	28,		70),
		('CIVILIZATION_JAR_KALBIDS',	'AfriSouthEuro', 	35,		63),
		-- v25
		('CIVILIZATION_JAR_KALBIDS',	'MediterraneanHuge', 46, 	16),
		('CIVILIZATION_JAR_KALBIDS',	'Orient', 			 9, 	65),
		('CIVILIZATION_JAR_KALBIDS',	'AtlanticGiant', 	149,	34),
		('CIVILIZATION_JAR_KALBIDS',	'EarthMk3',			21,		49);
--------------------------------------------------------------------------------------------------------------------------	
-- Civilizations_YnAEMPRequestedResources
--------------------------------------------------------------------------------------------------------------------------	
INSERT INTO Civilizations_YnAEMPRequestedResources
		(CivilizationType,			MapPrefix, Req1, Yield1, Req2, Yield2, Req3, Yield3, Req4, Yield4, Req5, Yield5, Req6, Yield6)
SELECT	'CIVILIZATION_JAR_KALBIDS',	MapPrefix, Req1, Yield1, Req2, Yield2, Req3, Yield3, Req4, Yield4, Req5, Yield5, Req6, Yield6
FROM Civilizations_YnAEMPRequestedResources WHERE CivilizationType = 'CIVILIZATION_MOROCCO';
--------------------------------------------------------------------------------------------------------------------------
-- JFD'S CULTURAL DIVERSITY (31a31d1c-b9d7-45e1-842c-23232d66cd47)
--------------------------------------------------------------------------------------------------------------------------	
CREATE TABLE IF NOT EXISTS 
Civilization_JFD_CultureTypes(
	CivilizationType 					text 			default null,
	CultureType 						text			default null,
	SubCultureType 						text			default null,
	ArtDefineTag						text			default	null,
	DecisionsTag						text			default null,
	DefeatScreenEarlyTag				text			default	null,
	DefeatScreenMidTag					text			default	null,
	DefeatScreenLateTag					text			default	null,
	IdealsTag							text			default	null,
	SplashScreenTag						text			default	null,
	SoundtrackTag						text			default	null,
	UnitDialogueTag						text			default null);
/*
CultureTypes:
  CULTURE_JFD_ABORIGINAL, CULTURE_JFD_ANDEAN, CULTURE_JFD_BANTU, CULTURE_JFD_BHARATA, CULTURE_JFD_CENTRAL, CULTURE_JFD_CLASSICAL, CULTURE_JFD_COLONIAL, CULTURE_JFD_EASTERN, CULTURE_JFD_EAST_INDIES, CULTURE_JFD_GREAT_PLAINS, CULTURE_JFD_HIMALAYAN, CULTURE_JFD_ISLAMIC, CULTURE_JFD_KATUJE, CULTURE_JFD_MANDALA, CULTURE_JFD_MESOAMERICAN, CULTURE_JFD_MESOPOTAMIC, CULTURE_JFD_NORTHERN, CULTURE_JFD_OCEANIC, CULTURE_JFD_ORIENTAL, CULTURE_JFD_PACIFIC, CULTURE_JFD_POLAR, CULTURE_JFD_SAHARAN, CULTURE_JFD_SEMITIC, CULTURE_JFD_STEPPE, CULTURE_JFD_SOUTHERN, CULTURE_JFD_TOTALITARIAN, CULTURE_JFD_WEST_AFRICAN, CULTURE_JFD_WESTERN, CULTURE_JFD_WOODLANDS

 SubCultureType:
  CULTURE_SUB_JFD_CLASSICAL_ROMAN, CULTURE_SUB_JFD_COLONIAL_LATIN, CULTURE_SUB_JFD_EASTERN_BYZANTINE, CULTURE_SUB_JFD_ISLAMIC_TURKIC, CULTURE_SUB_JFD_MESOPOTAMIC_EGYPTIAN, CULTURE_SUB_JFD_NORTHERN_CELTIC, CULTURE_SUB_JFD_ORIENTAL_JAPANESE, CULTURE_SUB_JFD_SEMITIC_ETHIOPIC, CULTURE_SUB_JFD_SOUTHERN_PAPAL, CULTURE_SUB_JFD_WESTERN_BRITISH
  
SplashScreenTags (As above, unless otherwise specified):
   As above in single word lower-case, e.g. CULTURE_JFD_CENTRAL = JFD_Central, CULTURE_JFD_WEST_AFRICAN = JFD_WestAfrican
   JFD_ClassicalRoman, JFD_ColonialLatin, JFD_NorthernCeltic, JFD_OrientalJapanese, JFD_SemiticEthiopic, JFD_SouthernPapal
  
SoundtrackTag (As above, unless otherwise specified):
  As above in single word lower-case, e.g. CULTURE_JFD_CENTRAL = JFD_Central, CULTURE_JFD_WEST_AFRICAN = JFD_WestAfrican
  JFD_ClassicalRoman, JFD_ColonialLatin, JFD_MesopotamicEgyptian, JFD_NorthernCeltic, JFD_OrientalJapanese, JFD_SemiticEthiopic, JFD_SouthernPapal
  
 UnitDialogueTag:
	AS2D_SOUND_JFD_AMERICAN, AS2D_SOUND_JFD_AMERICAN_WEST, AS2D_SOUND_JFD_ALBANIAN*, AS2D_SOUND_JFD_ARABIC, AS2D_SOUND_JFD_AZTEC, AS2D_SOUND_JFD_BABYLONIAN, AS2D_SOUND_JFD_BERBER*, AS2D_SOUND_JFD_BYZANTINE, AS2D_SOUND_JFD_CARTHAGINIAN, AS2D_SOUND_JFD_CELTIC, AS2D_SOUND_JFD_CHINESE, AS2D_SOUND_JFD_COMANCHE*, AS2D_SOUND_JFD_DUTCH, AS2D_SOUND_JFD_EGYPTIAN, AS2D_SOUND_JFD_ENGLISH, AS2D_SOUND_JFD_ETHIOPIAN, AS2D_SOUND_JFD_FINNISH*, AS2D_SOUND_JFD_FRENCH, AS2D_SOUND_JFD_GAELIC*, AS2D_SOUND_JFD_GERMAN, AS2D_SOUND_JFD_GREEK, AS2D_SOUND_JFD_HOLY_ROMAN, AS2D_SOUND_JFD_HUNNIC, AS2D_SOUND_JFD_INCAN, AS2D_SOUND_JFD_INDIAN, AS2D_SOUND_JFD_ITALIAN, AS2D_SOUND_JFD_JAPANESE, AS2D_SOUND_JFD_KHMER, AS2D_SOUND_JFD_KOREAN, AS2D_SOUND_JFD_LATINO, AS2D_SOUND_JFD_MALINESE, AS2D_SOUND_JFD_MAMLUKE*, AS2D_SOUND_JFD_MAPUDUNGUN, AS2D_SOUND_JFD_MAYAN, AS2D_SOUND_JFD_MOHAWK, AS2D_SOUND_JFD_MONGOL, AS2D_SOUND_JFD_OTTOMAN, AS2D_SOUND_JFD_PERSIAN, AS2D_SOUND_JFD_POLISH, AS2D_SOUND_JFD_PORTUGUESE, AS2D_SOUND_JFD_ROMAN, AS2D_SOUND_JFD_RUSSIAN, AS2D_SOUND_JFD_SIAMESE, AS2D_SOUND_JFD_SIOUX, AS2D_SOUND_JFD_SPANISH, AS2D_SOUND_JFD_SUMERIAN, AS2D_SOUND_JFD_SWEDISH, AS2D_SOUND_JFD_TUPI*, AS2D_SOUND_JFD_VIKING, AS2D_SOUND_JFD_ZAPOTEC*, AS2D_SOUND_JFD_ZULU
	
	*Not recommended as these have few tracks.
*/

INSERT INTO Civilization_JFD_CultureTypes
		(CivilizationType,			ArtDefineTag, CultureType, SubCultureType, DecisionsTag, IdealsTag, SplashScreenTag, SoundtrackTag, UnitDialogueTag)
SELECT	'CIVILIZATION_JAR_KALBIDS',	ArtDefineTag, CultureType, SubCultureType, DecisionsTag, IdealsTag, SplashScreenTag, SoundtrackTag, UnitDialogueTag
FROM Civilization_JFD_CultureTypes WHERE CivilizationType = 'CIVILIZATION_MOROCCO';

UPDATE Civilizations 
SET SoundtrackTag = 'JFD_Islamic'
WHERE Type = 'CIVILIZATION_JAR_KALBIDS'
AND EXISTS (SELECT * FROM Civilization_JFD_CultureTypes WHERE SoundtrackTag = 'JFD_Islamic');

--=======================================================================================================================
-- BINGLES CIV IV TRAITS
--=======================================================================================================================
-- Leader_SharedTraits
------------------------------	
CREATE TABLE IF NOT EXISTS 
    Leader_SharedTraits (
    LeaderType          text    REFERENCES Leaders(Type)        default null,
    TraitOne            text    REFERENCES Policies(Type)       default null,
    TraitTwo            text    REFERENCES Policies(Type)       default null);

INSERT INTO Leader_SharedTraits
        (LeaderType,			TraitOne,				TraitTwo)
VALUES  ('LEADER_JAR_YUSUF',	'POLICY_EXPANSIVE_X',	'POLICY_PHILOSOPHICAL_X');
------------------------------	
-- Leaders
------------------------------	
UPDATE Leaders 
SET Description = 'Yusuf al-Kalbi [ICON_FOOD][ICON_GREAT_PEOPLE]'
WHERE Type = 'LEADER_JAR_YUSUF'
AND EXISTS (SELECT * FROM Policies WHERE Type = 'POLICY_PHILOSOPHICAL_X');
--==========================================================================================================================
-- BrutalSamurai's Ethnic Units/Gedemon's R.E.D.
--==========================================================================================================================
-- Civilizations
------------------------------	
UPDATE Civilizations 
SET ArtStyleSuffix = '_ARABIA'
WHERE Type = 'CIVILIZATION_JAR_KALBIDS'
AND EXISTS (SELECT * FROM Civilizations WHERE ArtStyleSuffix = '_ARABIA');
--=======================================================================================================================
-- TOMATEKH'S HISTORICAL RELIGIONS COMPLETE
--=======================================================================================================================
UPDATE Civilization_Religions SET ReligionType =
( CASE WHEN EXISTS(SELECT Type FROM Religions WHERE Type="RELIGION_ISLAM_SHIA" )
THEN "RELIGION_ISLAM_SHIA"
ELSE "RELIGION_ISLAM" END
) WHERE CivilizationType = "CIVILIZATION_JAR_KALBIDS";
--=======================================================================================
-- EVENTS AND DECISIONS
--=======================================================================================
CREATE TABLE IF NOT EXISTS DecisionsAddin_Support(FileName);

INSERT INTO DecisionsAddin_Support (FileName) VALUES ('Kalbids_Decisions.lua');
------------------------------------------------------------
-- Policies
------------------------------------------------------------
INSERT INTO Policies 
		(Type,						Description) 
VALUES	('POLICY_DECISIONS_JIZYA',	'TXT_KEY_DECISIONS_JIZYA');
------------------------------	
-- BuildingClasses
------------------------------	
INSERT INTO BuildingClasses 	
		(Type, 						 			DefaultBuilding, 				Description, 							MaxGlobalInstances)
VALUES	('BUILDINGCLASS_DECISIONS_JAR_ALQASR', 'BUILDING_DECISIONS_JAR_ALQASR',	'TXT_KEY_BUILDING_DECISIONS_JAR_ALQASR',	1);
------------------------------
-- Buildings
------------------------------
INSERT INTO Buildings			
		(Type, 								BuildingClass, 			  			Cost, 	FaithCost, 	Help,											Description, 								Civilopedia,									Quote, 											ThemingBonusHelp,							ArtDefineTag,	DisplayPosition, WonderSplashImage, WonderSplashAnchor, IconAtlas,		PortraitIndex,	NukeImmune, ConquestProb, FreeBuildingThisCity,		EnhancedYieldTech, TechEnhancedTourism,	GreatWorkCount, GreatWorkSlotType)
VALUES	('BUILDING_DECISIONS_JAR_ALQASR',	'BUILDINGCLASS_DECISIONS_JAR_ALQASR',  -1, 	-1,			'TXT_KEY_BUILDING_DECISIONS_JAR_ALQASR_HELP',	'TXT_KEY_BUILDING_DECISIONS_JAR_ALQASR', 	'TXT_KEY_BUILDING_DECISIONS_JAR_ALQASR_PEDIA',	'TXT_KEY_BUILDING_DECISIONS_JAR_ALQASR_QUOTE',	'TXT_KEY_JAR_ALQASR_THEMING_BONUS_HELP', 	'ALHAMBRA',					  2, 'splash_alQasr.dds', 'L,B',			'JAR_KALBIDS_ICON_ATLAS',	7,			 1,			 100, 'BUILDINGCLASS_CHURCH',	'TECH_ARCHITECTURE',  				2,				 2,	'GREAT_WORK_SLOT_ART_ARTIFACT');
UPDATE Buildings SET ExtraCityHitPoints = (SELECT ExtraCityHitPoints FROM Buildings WHERE Type='BUILDING_WALLS'), Defense = (SELECT Defense FROM Buildings WHERE Type='BUILDING_WALLS') WHERE Type = 'BUILDING_DECISIONS_JAR_ALQASR';

INSERT INTO Buildings 		
		(Type, 								BuildingClass,		GreatWorkCount,	Cost, FaithCost, PrereqTech, MinAreaSize, HurryCostModifier, Description,					NeverCapture)
VALUES	('BUILDING_DECISIONS_JAR_JIZYA1',	'BUILDINGCLASS_JAR_KALBIDS',	-1,	-1,   -1,		 null,		 		-1,			-1,			'TXT_KEY_DECISIONS_JIZYA',		1),
		('BUILDING_DECISIONS_JAR_JIZYA2',	'BUILDINGCLASS_JAR_KALBIDS',	-1,	-1,   -1,		 null,		 		-1,			-1,			'TXT_KEY_DECISIONS_JIZYA',		1);
UPDATE Buildings SET GreatPeopleRateModifier = 1 WHERE Type = 'BUILDING_DECISIONS_JAR_JIZYA';
--------------------------------------------------------------------------------------------------------------------------
-- Building_ThemingBonuses
--------------------------------------------------------------------------------------------------------------------------
INSERT INTO Building_ThemingBonuses
		(BuildingType, 						Description, 						AIPriority, RequiresOwner, Bonus)
VALUES	('BUILDING_DECISIONS_JAR_ALQASR',	'TXT_KEY_THEMING_BONUS_JAR_ALQASR',			 2,		 		1, 2);		

UPDATE Building_ThemingBonuses SET Bonus = 8 WHERE BuildingType = 'BUILDING_DECISIONS_JAR_ALQASR' AND EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_BUILDINGS' AND Value= 1 );
INSERT INTO Building_ThemingYieldBonus
		(BuildingType, 									 YieldType, Yield)
select	'BUILDING_DECISIONS_JAR_ALQASR', 'YIELD_GOLDEN_AGE_POINTS', 5 WHERE EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_BUILDINGS' AND Value= 1 );
------------------------------
-- Building_YieldChanges
------------------------------
INSERT INTO Building_YieldChanges
		(BuildingType, 						YieldType, 		Yield)
VALUES	('BUILDING_DECISIONS_JAR_JIZYA2',	'YIELD_GOLD', 		1),
		('BUILDING_DECISIONS_JAR_JIZYA2',	'YIELD_PRODUCTION', 1),
		('BUILDING_DECISIONS_JAR_ALQASR',	'YIELD_GOLD', 		2),
		('BUILDING_DECISIONS_JAR_ALQASR',	'YIELD_CULTURE',	2),
		('BUILDING_DECISIONS_JAR_ALQASR',	'YIELD_SCIENCE', 	2);
--==========================================================================================================================
-- TROLLER0001's ADDITIONAL ACHIEVEMENTS
--==========================================================================================================================
-- Achievopedia_Tabs
--------------------------------------------------------------------------------------------------------------------------
CREATE TABLE IF NOT EXISTS 
	Achievopedia_Tabs (
	ID  					integer 		PRIMARY KEY		AUTOINCREMENT,
	Type					text							default	null,
	Header					text							default null,
	Description				text							default	null);

INSERT OR REPLACE INTO Achievopedia_Tabs
		(Type,				Header,								Description)
VALUES	('TAB_JAR_CIVS',	'TXT_KEY_TAB_JAR_CIVS_HEADER',		'TXT_KEY_TAB_JAR_CIVS_DESC');
--------------------------------------------------------------------------------------------------------------------------
-- AdditionalAchievements_Mods
--------------------------------------------------------------------------------------------------------------------------
CREATE TABLE IF NOT EXISTS 
	AdditionalAchievements_Mods (
	ID  					integer 		PRIMARY KEY		AUTOINCREMENT,
	Type					text							default	null,
	ModName					text							default null,
	ModID					text							default	null,	
	Authors					text							default	null);

INSERT INTO AdditionalAchievements_Mods
		(Type,				ModName,						ModID,								Authors)
VALUES	('MOD_JAR_KALBIDS',	'TXT_KEY_MOD_JAR_KALBIDS_NAME',	'TXT_KEY_MOD_JAR_KALBIDS_MODID',	'TXT_KEY_MOD_JAR_KALBIDS_AUTHORS');
--------------------------------------------------------------------------------------------------------------------------
-- AdditionalAchievements
--------------------------------------------------------------------------------------------------------------------------
CREATE TABLE IF NOT EXISTS 
	AdditionalAchievements (
	ID  					integer 		PRIMARY KEY		AUTOINCREMENT,
	Type					text							default	null,
	Achievopedia			text							default null,
	Header					text							default	null,	
	IconAtlas				text							default	null,	
	PortraitIndex			integer							default	0,
	ModType					text							default	null,	
	ModVersion				integer							default	0,
	Unlocked				boolean							default	0,
	LockedIconAtlas			text							default	'CIV_COLOR_ATLAS',
	LockedPortraitIndex		integer							default	23,
	UnlockSound				text							default	'AS2D_INTERFACE_ANCIENT_RUINS',
	PopupDuration			integer							default	-1,
	Hidden					boolean							default	0,
	HiddenBorder			boolean							default	0,
	RequiredCivWin			text							default	null,
	RequiredCivLoss			text							default	null,
	RequiredCivKill			text							default	null);

INSERT INTO AdditionalAchievements
		(Type,						Header,										Achievopedia,							ModType,		ModVersion,		RequiredCivWin,				IconAtlas,					 PortraitIndex)
VALUES	('AA_JAR_KALBIDS_SPECIAL',	'TXT_KEY_AA_JAR_KALBIDS_SPECIAL_HEADER',	'TXT_KEY_AA_JAR_KALBIDS_SPECIAL_TEXT',	'MOD_JAR_KALBIDS',	3,				null,					'JAR_KALBIDS_ICON_ATLAS',	 8),
		('AA_JAR_KALBIDS_VICTORY',	'TXT_KEY_AA_JAR_KALBIDS_VICTORY_HEADER',	'TXT_KEY_AA_JAR_KALBIDS_VICTORY_TEXT',	'MOD_JAR_KALBIDS',	3,			'CIVILIZATION_JAR_KALBIDS',	'JAR_KALBIDS_ICON_ATLAS',	 8);
--------------------------------------------------------------------------------------------------------------------------
-- AdditionalAchievements_Tabs
--------------------------------------------------------------------------------------------------------------------------
CREATE TABLE IF NOT EXISTS 
	AdditionalAchievements_Tabs (
	AchievementType			text		default	null,
	TabType					text		default	null);

INSERT OR REPLACE INTO AdditionalAchievements_Tabs
		(AchievementType,					TabType)
VALUES	('AA_JAR_KALBIDS_SPECIAL',	'TAB_JAR_CIVS'),
		('AA_JAR_KALBIDS_VICTORY',	'TAB_JAR_CIVS');
--==========================================================================================================================
-- HAZEL MAP LABELS
--==========================================================================================================================
--==========================================================================================================================
-- ML_CivCultures
--==========================================================================================================================
CREATE TABLE IF NOT EXISTS ML_Cultures(ID INTEGER PRIMARY KEY AUTOINCREMENT, Type TEXT, 'Group' TEXT, Description TEXT, SuggestedCivs TEXT);
INSERT OR REPLACE INTO ML_Cultures
			(Type,				'Group')
VALUES		('SOUTH_ITALY', 	'CULTURE_GROUP_EUROPEAN');

UPDATE ML_Cultures
SET Description = 'TXT_KEY_ML_CULTURE_' || Type,
	SuggestedCivs = 'TXT_KEY_ML_CULTURE_' || Type || '_SUGGESTEDCIVS'
WHERE Type = 'SOUTH_ITALY';
--------------------------------
-- LAKE
--------------------------------
CREATE TABLE IF NOT EXISTS ML_Labels_Dynamic (ID INTEGER PRIMARY KEY AUTOINCREMENT, Name TEXT, MainType TEXT default "FEATURE", SubType TEXT, CultureType TEXT);
INSERT OR REPLACE INTO ML_Labels_Dynamic
			(CultureType, 		MainType, 		SubType,			Name)
VALUES		('SOUTH_ITALY',		'FEATURE',	 	'LAKE',				'TXT_KEY_NAME_SOUTH_ITALY_LAKE_VARANO'),
			('SOUTH_ITALY',		'FEATURE',	 	'LAKE',				'TXT_KEY_NAME_SOUTH_ITALY_LAKE_LESINA'),
			('SOUTH_ITALY',		'FEATURE',	 	'LAKE',				'TXT_KEY_NAME_SOUTH_ITALY_LAKE_AVERNO'),
			('SOUTH_ITALY',		'FEATURE',	 	'LAKE',				'TXT_KEY_NAME_SOUTH_ITALY_LAKE_LUCRINO'),
			('SOUTH_ITALY',		'FEATURE',	 	'LAKE',				'TXT_KEY_NAME_SOUTH_ITALY_LAKE_LENTINI'),
			('SOUTH_ITALY',		'FEATURE',	 	'LAKE',				'TXT_KEY_NAME_SOUTH_ITALY_LAKE_BIVIERE');
--------------------------------
-- OCEAN
--------------------------------
INSERT OR REPLACE INTO ML_Labels_Dynamic
			(CultureType, 		MainType, 		SubType,			Name)
VALUES		('SOUTH_ITALY',		'REGION',	 	'OCEAN',			'TXT_KEY_NAME_SOUTH_ITALY_OCEAN_TIRRENO'),
			('SOUTH_ITALY',		'REGION',	 	'OCEAN',			'TXT_KEY_NAME_SOUTH_ITALY_OCEAN_ADRIATICO'),
			('SOUTH_ITALY',		'REGION',	 	'OCEAN',			'TXT_KEY_NAME_SOUTH_ITALY_OCEAN_IONIO'),
			('SOUTH_ITALY',		'REGION',	 	'OCEAN',			'TXT_KEY_NAME_SOUTH_ITALY_OCEAN_MEDITERRANEAN'),
			('SOUTH_ITALY',		'REGION',	 	'OCEAN',			'TXT_KEY_NAME_SOUTH_ITALY_OCEAN_SICILYSTRAIT');
--------------------------------
-- REGION
--------------------------------
INSERT OR REPLACE INTO ML_Labels_Dynamic
			(CultureType, 		MainType, 		SubType,			Name)
VALUES		('SOUTH_ITALY',		'REGION',	 	'REGION',			'TXT_KEY_NAME_SOUTH_ITALY_REGION_LUCANIA'),
			('SOUTH_ITALY',		'REGION',	 	'REGION',			'TXT_KEY_NAME_SOUTH_ITALY_REGION_SANNIO'),
			('SOUTH_ITALY',		'REGION',	 	'REGION',			'TXT_KEY_NAME_SOUTH_ITALY_REGION_IRPINIA'),
			('SOUTH_ITALY',		'REGION',	 	'REGION',			'TXT_KEY_NAME_SOUTH_ITALY_REGION_CILENTO'),
			('SOUTH_ITALY',		'REGION',	 	'REGION',			'TXT_KEY_NAME_SOUTH_ITALY_REGION_CAPITANATA'),
			('SOUTH_ITALY',		'REGION',	 	'REGION',			'TXT_KEY_NAME_SOUTH_ITALY_REGION_SALENTO'),
			('SOUTH_ITALY',		'REGION',	 	'REGION',			'TXT_KEY_NAME_SOUTH_ITALY_REGION_TAVOLIERE'),
			('SOUTH_ITALY',		'REGION',	 	'REGION',			'TXT_KEY_NAME_SOUTH_ITALY_REGION_SILA'),
			('SOUTH_ITALY',		'REGION',	 	'REGION',			'TXT_KEY_NAME_SOUTH_ITALY_REGION_SIBARI'),
			('SOUTH_ITALY',		'REGION',	 	'REGION',			'TXT_KEY_NAME_SOUTH_ITALY_REGION_MARSICA'),
			('SOUTH_ITALY',		'REGION',	 	'REGION',			'TXT_KEY_NAME_SOUTH_ITALY_REGION_ABRUZZO'),
			('SOUTH_ITALY',		'REGION',	 	'REGION',			'TXT_KEY_NAME_SOUTH_ITALY_REGION_NOTO'),
			('SOUTH_ITALY',		'REGION',	 	'REGION',			'TXT_KEY_NAME_SOUTH_ITALY_REGION_MOLISE'),
			('SOUTH_ITALY',		'REGION',	 	'REGION',			'TXT_KEY_NAME_SOUTH_ITALY_REGION_MAZARA');
--------------------------------
-- MOUNTAIN
--------------------------------
INSERT OR REPLACE INTO ML_Labels_Dynamic
			(CultureType, 		MainType, 		SubType,			Name)
VALUES		('SOUTH_ITALY',		'FEATURE',	 	'MOUNTAIN',			'TXT_KEY_NAME_SOUTH_ITALY_MOUNTAIN_GRANSASSO'),
			('SOUTH_ITALY',		'FEATURE',	 	'MOUNTAIN',			'TXT_KEY_NAME_SOUTH_ITALY_MOUNTAIN_POLLINO'),
			('SOUTH_ITALY',		'FEATURE',	 	'MOUNTAIN',			'TXT_KEY_NAME_SOUTH_ITALY_MOUNTAIN_SERRA'),
			('SOUTH_ITALY',		'FEATURE',	 	'MOUNTAIN',			'TXT_KEY_NAME_SOUTH_ITALY_MOUNTAIN_MATESE'),
			('SOUTH_ITALY',		'FEATURE',	 	'MOUNTAIN',			'TXT_KEY_NAME_SOUTH_ITALY_MOUNTAIN_METAMOUNT'),
			('SOUTH_ITALY',		'FEATURE',	 	'MOUNTAIN',			'TXT_KEY_NAME_SOUTH_ITALY_MOUNTAIN_MONTIDAUNI'),
			('SOUTH_ITALY',		'FEATURE',	 	'MOUNTAIN',			'TXT_KEY_NAME_SOUTH_ITALY_MOUNTAIN_MOUNTETNA'),			
			('SOUTH_ITALY',		'FEATURE',	 	'MOUNTAIN',			'TXT_KEY_NAME_SOUTH_ITALY_MOUNTAIN_MOUNTVESUVIUS');
--------------------------------
-- FOREST
--------------------------------
INSERT OR REPLACE INTO ML_Labels_Dynamic
			(CultureType, 		MainType, 		SubType,			Name)
VALUES		('SOUTH_ITALY',		'FEATURE',	 	'FOREST',			'TXT_KEY_NAME_SOUTH_ITALY_FOREST_SCORACE'),
			('SOUTH_ITALY',		'FEATURE',	 	'FOREST',			'TXT_KEY_NAME_SOUTH_ITALY_FOREST_ARCHIFORO'),
			('SOUTH_ITALY',		'FEATURE',	 	'FOREST',			'TXT_KEY_NAME_SOUTH_ITALY_FOREST_MERCADANTE'),
			('SOUTH_ITALY',		'FEATURE',	 	'FOREST',			'TXT_KEY_NAME_SOUTH_ITALY_FOREST_CERRETACOGNOLE'),
			('SOUTH_ITALY',		'FEATURE',	 	'FOREST',			'TXT_KEY_NAME_SOUTH_ITALY_FOREST_SANTANTONIO'),
			('SOUTH_ITALY',		'FEATURE',	 	'FOREST',			'TXT_KEY_NAME_SOUTH_ITALY_FOREST_PENNATARO');
--------------------------------
-- ISLAND
--------------------------------
INSERT OR REPLACE INTO ML_Labels_Dynamic
			(CultureType, 		MainType, 		SubType,			Name)
VALUES		('SOUTH_ITALY',		'REGION',	 	'ISLAND',			'TXT_KEY_NAME_SOUTH_ITALY_ISLAND_SICILY'),
			('SOUTH_ITALY',		'REGION',	 	'ISLAND',			'TXT_KEY_NAME_SOUTH_ITALY_ISLAND_CAPRI'),
			('SOUTH_ITALY',		'REGION',	 	'ISLAND',			'TXT_KEY_NAME_SOUTH_ITALY_ISLAND_ISCHIA'),
			('SOUTH_ITALY',		'REGION',	 	'ISLAND',			'TXT_KEY_NAME_SOUTH_ITALY_ISLAND_LAMPEDUSA'),
			('SOUTH_ITALY',		'REGION',	 	'ISLAND',			'TXT_KEY_NAME_SOUTH_ITALY_ISLAND_FAVIGNANA'),
			('SOUTH_ITALY',		'REGION',	 	'ISLAND',			'TXT_KEY_NAME_SOUTH_ITALY_ISLAND_USTICA'),
			('SOUTH_ITALY',		'REGION',	 	'ISLAND',			'TXT_KEY_NAME_SOUTH_ITALY_ISLAND_LIPARI'),
			('SOUTH_ITALY',		'REGION',	 	'ISLAND',			'TXT_KEY_NAME_SOUTH_ITALY_ISLAND_SALINA'),
			('SOUTH_ITALY',		'REGION',	 	'ISLAND',			'TXT_KEY_NAME_SOUTH_ITALY_ISLAND_SANDOMINO'),
			('SOUTH_ITALY',		'REGION',	 	'ISLAND',			'TXT_KEY_NAME_SOUTH_ITALY_ISLAND_PANTELLERIA');
--------------------------------
-- RIVER
--------------------------------
INSERT OR REPLACE INTO ML_Labels_Dynamic
			(CultureType, 		MainType, 		SubType,			Name)
VALUES		('SOUTH_ITALY',		'FEATURE',	 	'RIVER',			'TXT_KEY_NAME_SOUTH_ITALY_RIVER_VOLTURNO'),
			('SOUTH_ITALY',		'FEATURE',	 	'RIVER',			'TXT_KEY_NAME_SOUTH_ITALY_RIVER_SIMETO'),
			('SOUTH_ITALY',		'FEATURE',	 	'RIVER',			'TXT_KEY_NAME_SOUTH_ITALY_RIVER_LIRI'),
			('SOUTH_ITALY',		'FEATURE',	 	'RIVER',			'TXT_KEY_NAME_SOUTH_ITALY_RIVER_OFANTO'),
			('SOUTH_ITALY',		'FEATURE',	 	'RIVER',			'TXT_KEY_NAME_SOUTH_ITALY_RIVER_SANGRO'),
			('SOUTH_ITALY',		'FEATURE',	 	'RIVER',			'TXT_KEY_NAME_SOUTH_ITALY_RIVER_FORTORE'),
			('SOUTH_ITALY',		'FEATURE',	 	'RIVER',			'TXT_KEY_NAME_SOUTH_ITALY_RIVER_BASENTO');
--==========================================================================================================================
-- ML_CivCultures
--==========================================================================================================================
CREATE TABLE IF NOT EXISTS ML_CivCultures(CivType, CultureType, CultureEra);
INSERT OR REPLACE INTO ML_CivCultures
			(CivType,					CultureType,	CultureEra)
VALUES		('CIVILIZATION_JAR_KALBIDS',	'SOUTH_ITALY',		'ANY'),
			('CIVILIZATION_JAR_KALBIDS',	'ARABIAN',		'ANCIENT');
--==========================================================================================================================
-- GAZEBO's VOX POPULI
--==========================================================================================================================
-- Buildings
------------------------------------------------------------
UPDATE Traits SET Description = 'TXT_KEY_TRAIT_JAR_KALBIDS_CBO' WHERE Type = 'TRAIT_JAR_KALBIDS' AND EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_LEADERS' AND Value= 1 );
UPDATE Buildings SET Defense = 200 WHERE Type = 'BUILDING_SAQALIBA' AND EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_BUILDINGS' AND Value= 1 );
UPDATE Buildings SET Help = 'TXT_KEY_BUILDING_JAR_QANAT_HELP_CBO' WHERE Type = 'BUILDING_JAR_QANAT' AND EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_BUILDINGS' AND Value= 1 );
UPDATE Buildings SET Help = 'TXT_KEY_BUILDING_DECISIONS_JAR_ALQASR_HELP_CBO' WHERE Type = 'BUILDING_DECISIONS_JAR_ALQASR' AND EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_BUILDINGS' AND Value= 1 );
UPDATE Buildings SET SpecialistType = 'SPECIALIST_CIVIL_SERVANT', GreatPeopleRateChange = 2 WHERE Type = 'BUILDING_DECISIONS_JAR_ALQASR' AND EXISTS (SELECT * FROM Specialists WHERE Type='SPECIALIST_CIVIL_SERVANT');

INSERT INTO Building_GrowthExtraYield
		(BuildingType, 		  YieldType, Yield)
SELECT	'BUILDING_JAR_QANAT', YieldType, Yield FROM Building_GrowthExtraYield WHERE BuildingType = 'BUILDING_AQUEDUCT' AND EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_BUILDINGS' AND Value= 1 );

INSERT INTO Building_UnhappinessNeedsFlatReduction
		(BuildingType, 		  YieldType, Yield)
SELECT	'BUILDING_JAR_QANAT', YieldType, Yield FROM Building_UnhappinessNeedsFlatReduction WHERE BuildingType = 'BUILDING_AQUEDUCT' AND EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_BUILDINGS' AND Value= 1 );

INSERT INTO Building_ResourceYieldChanges
		(BuildingType, 			ResourceType, 			YieldType, 		Yield)
SELECT	'BUILDING_GARDEN', 	'RESOURCE_JAR_ORANGE', 		'YIELD_FOOD', 		1	WHERE EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_BUILDINGS' AND Value= 1 ) UNION ALL
SELECT	'BUILDING_GARDEN', 	'RESOURCE_JAR_ORANGE', 		'YIELD_PRODUCTION', 1	WHERE EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_BUILDINGS' AND Value= 1 ) UNION ALL
		--
SELECT	'BUILDING_MARKET', 	'RESOURCE_JAR_PISTACHIO', 	'YIELD_CULTURE', 	1	WHERE EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_BUILDINGS' AND Value= 1 ) UNION ALL
SELECT	'BUILDING_MARKET', 	'RESOURCE_JAR_PISTACHIO', 	'YIELD_GOLD', 	 	1	WHERE EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_BUILDINGS' AND Value= 1 ) UNION ALL
		--
SELECT	'BUILDING_GROCER', 	'RESOURCE_JAR_PRICKLYPEAR', 'YIELD_CULTURE', 	1	WHERE EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_BUILDINGS' AND Value= 1 ) UNION ALL
SELECT	'BUILDING_GROCER', 	'RESOURCE_JAR_PRICKLYPEAR', 'YIELD_GOLD', 		1	WHERE EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_BUILDINGS' AND Value= 1 );
------------------------------------------------------------
-- RESOURCES
------------------------------------------------------------
Delete from Building_ResourceYieldChanges where BuildingType= 'BUILDING_GRANARY' and ResourceType in ('RESOURCE_JAR_ORANGE', 'RESOURCE_JAR_PISTACHIO', 'RESOURCE_JAR_PRICKLYPEAR') AND EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_BUILDINGS' AND Value= 1 );
UPDATE Resources SET ResourceClassType= 'RESOURCECLASS_LUXURY', Happiness = (SELECT Happiness FROM Resources WHERE Type = 'RESOURCE_WINE'), IsMonopoly = 1 WHERE Type in ('RESOURCE_JAR_ORANGE', 'RESOURCE_JAR_PISTACHIO', 'RESOURCE_JAR_PRICKLYPEAR') AND EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_LUXURY_HAPPINESS');
UPDATE Resources SET MonopolyHappiness = '6' WHERE Type = 'RESOURCE_JAR_PRICKLYPEAR' AND EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_LUXURY_HAPPINESS');
UPDATE Resources SET Help = 'TXT_KEY_RESOURCE_MONOPOLY_YIELD_GOLD' 		WHERE Type = 'RESOURCE_JAR_ORANGE' AND EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_LUXURY_HAPPINESS');
UPDATE Resources SET Help = 'TXT_KEY_RESOURCE_MONOPOLY_YIELD_SCIENCE' 	WHERE Type = 'RESOURCE_JAR_PISTACHIO' AND EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_LUXURY_HAPPINESS');
UPDATE Resources SET Help = 'TXT_KEY_RESOURCE_MONOPOLY_HAPPINESS' 		WHERE Type = 'RESOURCE_JAR_PRICKLYPEAR' AND EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_LUXURY_HAPPINESS');

INSERT INTO Resource_YieldChangeFromMonopoly
		(ResourceType, 				YieldType, 		Yield)
SELECT	'RESOURCE_JAR_ORANGE', 		'YIELD_GOLD', 	 3 	WHERE EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_LUXURY_HAPPINESS') UNION ALL
SELECT	'RESOURCE_JAR_PISTACHIO', 	'YIELD_SCIENCE', 2 	WHERE EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_LUXURY_HAPPINESS');

INSERT INTO Corporation_ResourceMonopolyOrs
		(CorporationType, 			ResourceType)
SELECT	'CORPORATION_TRADER_SIDS',	'RESOURCE_JAR_PRICKLYPEAR' 	UNION ALL
SELECT	'CORPORATION_TWOKAY_FOODS',	'RESOURCE_JAR_ORANGE'		UNION ALL
SELECT	'CORPORATION_TWOKAY_FOODS',	'RESOURCE_JAR_PISTACHIO';

INSERT INTO Corporation_ResourceYieldChanges
		(CorporationType, 			ResourceType, 				YieldType, Yield)
SELECT	'CORPORATION_TRADER_SIDS',	'RESOURCE_JAR_PRICKLYPEAR',	'YIELD_GOLD', 1 UNION ALL
SELECT	'CORPORATION_TWOKAY_FOODS',	'RESOURCE_JAR_ORANGE',		'YIELD_FOOD', 1 UNION ALL
SELECT	'CORPORATION_TWOKAY_FOODS',	'RESOURCE_JAR_PISTACHIO',	'YIELD_FOOD', 1;

--------------------------------------------------------------------------------------------------------------------------
-- Building_ResourceYieldChanges
--------------------------------------------------------------------------------------------------------------------------	
INSERT INTO Building_ResourceYieldChanges 		
		(BuildingType, 			ResourceType, 	YieldType, Yield)
SELECT	'BUILDING_JAR_KALBIDS',	Type, 			'YIELD_FOOD', 1 	FROM Resources WHERE ResourceClassType = 'RESOURCECLASS_BONUS' AND EXISTS (SELECT * FROM COMMUNITY WHERE Type='COMMUNITY_CORE_BALANCE_BUILDINGS');
--==========================================================================================================================
--==========================================================================================================================